/**
 *
 * $Date: 2015-07-09 16:29:49 +0800 (周四, 2015-07-09) $
 * $Revision: 4378 $
 * $Author: guoqf $
 */


/*============================= 不适合在控制器中定义的全局变量 ====================*/
var ywlx            = $("body").attr("data-ywlx");
var step            = 1000;                             // 步长  沪市 1000 , 深市 500
var maxNumber       = 0;                                // 申购限额
var xg_fxjg         = 0;                                // 新股的发行价格
var kmmslcx_success = false;                            // 可买卖数量查询是否成功
/*================================== end ==========================================*/

var app = angular.module('xgsg', []);


app.controller('xgsgController', function($rootScope, $scope, $http, $compile)
{

getControllerMethod($rootScope, $scope, $http, $compile);

$scope.userAgent = navigator.userAgent;

$scope.zq_head = ["成交日期", "名称代码", "中签数/已放弃数", ""];
$scope.ph_head = ["流水序号", "名称代码", "发生数量", "交易类别"];
$scope.zq_head_class = ["", "", "w35per", ""];
$scope.footerMsg = "向上拉查看近一个月的记录";
$scope.ph_body = [];

/*======================= 初始化 =====================================*/
var newdate     = (new Date()).Format("yyyyMMdd");  // 当前日期
var Currenttime = (new Date()).Format("hh");        // 当前时间
var xgList      = [];                               // 新股列表
var xg_index    = -1;                               // 新股列表的索引 ID

var modal_level = 1;                                // 模态框级别
var modal       = {};                               // 模态框
var select_xg   = {};                               // 选中的新股

$scope.newdate  = newdate;
$scope.isGiveUp = false;                            // 是否放弃 (中签页面的放弃按钮)
$scope.isPriority = false;                          // 是否优先级
$scope.zhongqianBean = {};                          // 中签 Bean
/*==================================================================*/

// 新股申购不能版本的初始化
xgsg_init($scope);

// 当前页面是 【新股申购】 页面
if($("#NewStockUL .active a").text().trim() == "新股申购")
{
  // 新股申购列表查询
  xgsg_query();

  // 提供原生回调刷新页面数据
  handlePageBack = function() {
      xgsg_query();
  }
}

// 中签查询
$scope.zqBtn  = function()
{
  $scope.footerMsg = "单击列表数据设置缴款优先级";
  zq_query();
}

// 配号查询
$scope.phBtn  = function()
{
  $scope.footerMsg = "向上拉查看近一个月的记录";
  ph_query();
}

//权益查询
$scope.qyBtn  = function()
{
  qy_query();
}

// 中签行点击事件
$scope.zqRowClick = function(obj)
{
  $scope.isPriority = true;
  $scope.zhongqianBean = obj;
  // 显示中签缴款优选级设置模态框
  show_zqjkyxjsz_modal(obj);
}

/*==============================================
  触发条件：点击页面中的 [ 申购 ] 按钮
  执行功能：
===============================================*/
$scope.showModalSG = function(index)
{
  // 记录新股列表中索引
  xg_index = index;

  // 显示申购的模态框
  sg_show_modal();
};

/*==============================================
  触发条件：在中签页面点击 [ 放弃 ] 按钮
  执行功能：
===============================================*/
$scope.giveUp = function(obj)
{
  $scope.isGiveUp = true;
  $scope.zhongqianBean = obj;

  zq_giveup_show_modal(obj);
}

/*==============================================
  触发条件：点击模态框中的 [ 确定 ] 按钮
  执行功能：
===============================================*/
$scope.Ensure = function()
{
  // 申购模态框点击 “确定” 按钮
  if(modal_level == 1) {

    var tips = "";

    // 如果申购限制等于 0 , 则不能申购新股
    if(maxNumber == 0)  tips = "您的申购限额为 0, 无法下单";

    var number = $("#number").val();
    number = number.trim() == "" ? 0 : number;

    if(!kmmslcx_success) tips = "可买卖数量查询失败";

    if(number == 0) tips = "请输入申购数量";

    // 申购数量为所在交易所申购单位的整数倍; 深市: 500, 沪市: 1000
    if(parseFloat(number) % step > 0) tips = "申购数量应为" + step + "股整数倍";

    if(tips != "") {
      showMessageTips(tips, "40");
      return;
    }

    // 因为申购数量可能是键盘输入, 需要重新计算下显示金额
    show_price($scope, modal, "number");

    // 委托数量
    select_xg['wtsl'] = number;
    // 申购金额
    select_xg['sgje'] = modal['numbersMsg'][0].value;

    // 关闭模态框
    CloseModal();

    // 申购确认模态框
    sgqr_show_modal();
  }
  else if (modal_level == 10) {      // 申购确认模态框点击 “确定” 按钮
    // 关闭模态框
    CloseModal();

    // 委托下单
    wtxd_order();
  }
  else if (modal_level == 100) {     // 委托下单后显示的模态框点击 “确定” 按钮
    // 关闭模态框
    CloseModal();

    //刷新页面
    window.location.reload();
  }
  // 放弃确认模态框点击 "确认" 按钮
  else if (modal_level == 2) {
    var _obj  = $scope.zhongqianBean;
    var _fqsl = parseInt($("#fqsl").val()||0);
    var max   = parseFloat(_obj.zqsl||0) - parseFloat(_obj.yfqsl||0);
    var min   = 0;

    var tips = "";
    if (max == 0) {
      tips = "您当前没有可放弃的数量";
    } else if (_fqsl == 0) {
      tips = "请输入放弃数量";
    } else if (_fqsl % step > 0) {
      tips = "放弃数量应为 " + step + " 的整数倍";
    }

    if (tips != "") {
      showMessageTips(tips, "40");
      return;
    }

    // 放弃数量设置
    fqslsz_order();

    // 关闭模态框
    CloseModal();
  }
  // 设置缴款优先级点击 "确认" 按钮
  else if (modal_level == 3) {
    var _obj  = $scope.zhongqianBean;
    var _jssx = $("#jssx").val()||"0";

    if (_jssx == "0") {
      showMessageTips("请输入缴款优先级", "40");
      return;
    }

    // 关闭模态框
    CloseModal();

    $scope.zhongqianBean["jssx2"] = _jssx;

    show_two_zqjkyxjsz_modal($scope.zhongqianBean);
  }
  // 设置缴款优先级二次确认时点击 "确认" 按钮
  else if (modal_level == 300) {
    // 关闭模态框
    CloseModal();
    // 缴款优先级设置
    jkyxjsz_order();
  }
  else {
    // 关闭模态框
    CloseModal();
  }
};

/*==============================================
  触发条件：点击模态框中的 [ 取消 ] 按钮
  执行功能：关闭模态框
===============================================*/
$scope.Cancel = function()
{
  CloseModal();
}

/*==============================================
  触发条件：点击模态框中的 [ 下拉框 ]
  执行功能：
===============================================*/
$scope.selectChange = function(index)
{
  //console.log(modal["select"][0]['options']['selectVal']);
}

/*==============================================
  触发条件：点击模态框中的 [ + ] 按钮
  执行功能：
===============================================*/
$scope.plus = function()
{
  if ($scope.isGiveUp) {
    if (check_fqsl("+")) {
      plusMinus("fqsl", "plus", step);
    }
  } else if ($scope.isPriority) {
    plusMinus("jssx", "plus", step);
  } else {
    if (check_number("+")) {
      plusMinus("number", "plus", step);
    }

    //显示金额
    show_price($scope, modal, "number");
  }
}

/*==============================================
  触发条件：点击模态框中的 [ - ] 按钮
  执行功能：
===============================================*/
$scope.minus = function()
{
  if ($scope.isGiveUp) {
    if (check_fqsl("-")) {
      plusMinus("fqsl", "minus", step);
    }
  } else if ($scope.isPriority) {
    if (($("#jssx").val()||"0") > "1") {
      plusMinus("jssx", "minus", step);
    }
  } else {
    if (check_number("-")) {
      plusMinus("number", "minus", step);
    }

    //显示金额
    show_price($scope, modal, "number");
  }
}

/*==============================================
  触发条件：点击新股列表行
  执行功能：跳转到新股详情页面
===============================================*/
// 根据浏览器不同选择不同的事件类型
var on_events = getBrowser() == "ios" ? "click" : "click";  //touchend

$("body").on(on_events, "#tab1>table>tbody>tr:not([ng-show])>td:not(:nth-child(4),:nth-child(5))", function(o){
  // 新股列表选中的行索引
  var index = $(this).parent().index();
  // 跳转的目标地址
  var data_url = $(this).parent().attr("data_url");

  if(data_url == undefined)
  {
    return;
  }

  // 从新股列表中获取新股信息
  select_xg = xgList[index];

  // 将新股信息保存到本地
  setLocalData("dataList", select_xg);

  // 跳转到新股详情页面
  JumpInterface(data_url, 4, 1);
});


/*===========================
  显示APP自定义键盘
============================*/
$scope.showKeyboard = function(id)
{
  showKeyboard(id,'1');
}

/*==============================================
  函数功能: 新股申购列表查询
===============================================*/
function xgsg_query()
{
  $scope.hide_xglb = false;

  var request = {};

  if(ywlx == "rzrq")
  {
    request.ywlx = "rzrq";
  }

  if( !getApiUrlNews() )
  {
    return;
  }

  var url = getApiUrlNews() + "ipo/ipo.json";

  // 新股列表查询 - 来源：资讯服务器
  ajaxPost(url, request, function(response2) {

    // response2.stock = [];

    // 对返回的新股列表数据进行非空处理
    formatNewStockData(response2.stock, "待定", ["jysdm"]);

    for(var i = 0, length = response2.stock.length; i < length; i++)
    {
      response2.stock[i]['btn_state'] = "";
      response2.stock[i]['radio_state'] = "";
      response2.stock[i]['disabled'] = "";

      // 新股前一夜申购
      var isEvePurchase = response2.stock[i].fxrq-1 == newdate && Currenttime >= 20 ? true : false;

      if(response2.stock[i].fxrq == newdate || isEvePurchase)//可申购
      {
        response2.stock[i]['radio_state'] = "hide";
      }
      else if(parseInt(response2.stock[i].fxrq) > parseInt(newdate))//可提醒
      {
        /*================ 目前还没有推送(保留) =================
        response2.stock[i]['btn_state'] = "hide";
        ================================================*/

        response2.stock[i]['disabled'] = true;
        response2.stock[i]['radio_state'] = "hide";
      }
      else//不可操作
      {
        response2.stock[i]['disabled'] = true;
        response2.stock[i]['radio_state'] = "hide";
      }

    }

    xgList = response2.stock;

    // 新股
    // 股东代码、证券代码、交易所代码
    var request = {gddm: "", zqdm: "", jysdm: "0"};

    var lastUrl = "ptjy/xgsg/xgedcx";

    if(ywlx == "rzrq")
    {
      request.ywlx = "rzrq";
      lastUrl      = "rzrq/xgsg/xgedcx";
    }

    var qy_cxlb = [];
    ajaxPost(getApiUrl() + lastUrl, request, function(response) {
      qy_cxlb = response.cxlb;

      xgList = xg_ksg(qy_cxlb, xgList);

      $scope.tbody = xgList;

      // 如果没有新股列表, 提示给客户
      if(xgList.length == 0)
      {
        console.log(xgList.length);
        $scope.hide_xglb = true;
      }

    });
  }, null, {issuccess: false});
}

/* 历史保留方法
 * 与新股额度数据匹配, 申购限额取最小值
function xgsg_query()
{
  var request = {gddm:"", zqdm: "", jysdm: "0"};

  // 新股额度查询-深市
  ajaxPost(getApiUrl() + "ptjy/xgsg/xgedcx", request, function(response) {

    var cxlb = response.cxlb;
    // 添加新股额度-沪市
    cxlb.push({ "jysdm" : "1", "jysjc" : "沪Ａ", "ksged" : "22000.00" });

    // 新股列表查询 - 来源：资讯服务器
    ajaxPost(params.apiUrlNews, {}, function(response2) {

      // 对返回数据中的列表数据进行非空处理
      formatResponseData(response2.stock);

      // 临时处理--交易代码 0: 深市 1: 沪市
      // for(var k in response2.stock)
      // {
      //   response2.stock[k].jysdm = response2.stock[k].jysdm == "1" ? "0" : "1";
      // }

      for(var i = 0; i < response2.stock.length; i++)
      {
        response2.stock[i]['btn_state'] = "";
        response2.stock[i]['radio_state'] = "";
        response2.stock[i]['disabled'] = "";

        if(response2.stock[i].fxrq == newdate)//可申购
        {
          response2.stock[i]['radio_state'] = "hide";
        }
        else if(parseInt(response2.stock[i].fxrq) > parseInt(newdate))//可提醒
        {
          //================ 目前还没有推送(保留) =================
          //response2.stock[i]['btn_state'] = "hide";
          //=======================================================

          response2.stock[i]['disabled'] = true;
          response2.stock[i]['radio_state'] = "hide";
        }
        else//不可操作
        {
          response2.stock[i]['disabled'] = true;
          response2.stock[i]['radio_state'] = "hide";
        }

      }

      xgList = response2.stock;

      // 新股
      xgList = xg_ksg(cxlb, xgList);

      $scope.tbody = xgList;

      // 如果没有新股列表, 提示给客户
      if(xgList.length == 0) {  $(".isEmpty").show(); }

    }, null, {issuccess: false});
  });
}*/

/*=============================================
  函数功能：可买卖数量查询
==============================================*/
function kmmslcxQuery(zqdm,gddm,jysdm,wtjg,method)
{
  // 可买卖数量查询 证券代码 / 股东代码 / 交易所代码 / 委托价格
  var request = { zqdm: zqdm, gddm: gddm, jysdm: jysdm, wtjg: wtjg };

  var lastUrl = "ptjy/xgsg/kmmslcx";

  if(ywlx == "rzrq")
  {
    // request.gddm = "";
    request.ywlx = "rzrq";
    lastUrl      = "rzrq/xgsg/kmmslcx";
  }

  ajaxPost(getApiUrl() + lastUrl, request, function(response){
    method(response);
  });
}

/*=============================================
  函数功能：新股 - 可申购
  入参说明：list1  新股额度查询
            list2  新股列表
==============================================*/
function xg_ksg(list1, list2)
{
  // 新股限额合并成 "深圳交易所对应的额度" 与 "上海交易所对应的额度"
  list1 = xg_quota_merge(list1);
  for(var i in list2)
  {
    if(list2[i].jysdm == 0 || list2[i].jysdm == 2)  // 深市
    {
      list2[i].sgxe = parseInt(list2[i].sgxe || "0") > list1[0].ksged ? list1[0].ksged + "" :  list2[i].sgxe;
    }
    else  // 沪市
    {
      list2[i].sgxe = parseInt(list2[i].sgxe || "0") > list1[1].ksged ? list1[1].ksged + "" :  list2[i].sgxe;
    }
  }

  return list2;
}

/*=============================================
  函数功能：新股 - 限额 - 合并
  入参说明：dataList 新股额度查询
==============================================*/
function xg_quota_merge(dataList)
{
  var list = [{ jysjc: "深市", jysdm: "0", ksged: 0 },{ jysjc: "沪市", jysdm: "1", ksged: 0 }];

  for(var i  in dataList)
  {
    if(dataList[i].jysdm == "0")                              // 深市
    {
     list[0].ksged = list[0].ksged + parseInt(dataList[i].ksged || "0");
    }
    else if(dataList[i].jysdm == "1")                         // 沪市
    {
      list[1].ksged = list[1].ksged + parseInt(dataList[i].ksged || "0");
    }
  }

  return list;
}

/*=============================================
  函数功能：申购显示的模态框
==============================================*/
function sg_show_modal()
{
  modal_level = 1;

  modal = {};

  //新股信息
  select_xg = {};
  select_xg = xgList[xg_index];

  //深市步长 500 ,  沪市步长 1000
  step = select_xg.jysdm == "0" || select_xg.jysdm == "2" ? 500 : 1000;
  xg_fxjg = select_xg.fxjg;

  modal["title"] = "申购";

  modal["content"] = [
    {"key": "证券名称",   "value": select_xg.zqmc},
    {"key": "证券代码",   "value": select_xg.zqdm},
    {"key": "最多可申购", "value": select_xg.sgxe + "股"},
    // {"key": "金额可申购数", "value": "--"}
  ];

  // 解析股东代码
  var gddms = parseGddmList(select_xg.jysdm);

  // 用户没有股东代码时
  if(gddms.length == 0)
  {
    showMessageTips("您没有 [" + select_xg.zqdm  + "] 所在交易所的股东代码，不能进行申购!", "40");
    return;
  }

  // 用户股东代码数大于 1 时，显示股东代码列表由客户选择
  if(gddms.length > 1)
  {
    modal["select"] = [{key:"股东代码",opteions:[]}];

    modal["select"][0]['options'] = [];

    for(var i in gddms) {
      modal["select"][0]['options'].push({value: gddms[i], text: gddms[i]});
    }

    // 设置默认显示的股东代码
    modal["select"][0]['options']['selectVal'] = gddms[0];
  }
  var sqje = calculate_price(select_xg.fxjg, select_xg.sgxe) + "元";

  modal['numbers']    = [{id: "number", plus: "BtnPlusRed",  minus: "BtnMinusRed", value: ""}];

  modal['numbersMsg'] = [{key: "金额：", value: sqje}];

  modal['footerMsg']  = [{value:footerMsg(select_xg.jysdm)}];

  // 创建模态框
  create_modal($scope, $compile, modal);

  // 申购限额
  maxNumber = select_xg.sgxe;
  // 股东代码
  select_xg['gddm'] = gddms.length == 1 ? gddms[0] : modal["select"][0]['options']['selectVal'];

  // 初始化可买卖数量查询状态
  kmmslcx_success = true;

  // 延迟加载
  setTimeout(function(){
    $("#number").val(maxNumber);
  }, 200);
}

/*================================================
  函数功能：申购确认显示的模态框
================================================*/
function sgqr_show_modal()
{
  modal_level = 10;

  modal = {};

  modal["title"] = "申购确认";

  modal["content"] = [
    {"key": "证券代码","value": select_xg.zqdm},
    {"key": "证券名称","value": select_xg.zqmc},
    {"key": "申购数量","value": select_xg.wtsl || "0"},
    {"key": "申购金额","value": select_xg.sgje || "0"}
  ];

  // 创建模态框
  create_modal($scope, $compile, modal);
}

/*================================================
  函数功能：中签放弃显示的模态框
================================================*/
function zq_giveup_show_modal(obj)
{
  modal_level = 2;
  //深市步长 500 ,  沪市步长 1000
  step = 1;

  modal = {};
  modal["title"] = "放弃确认";

  modal["content"] = [
    {"key": "证券代码","value": obj.zqdm},
    {"key": "证券名称","value": obj.zqmc}
  ];

  modal['numbers'] = [{id: "fqsl", plus: "BtnPlusRed",  minus: "BtnMinusRed", value: "放弃数量"}];

  // 创建模态框
  create_modal($scope, $compile, modal);
}

/*================================================
  函数功能：中签设置缴款优先级设置显示的模态框
================================================*/
function show_zqjkyxjsz_modal(obj) {
  modal_level = 3;
  step = 1;

  modal = {};
  modal["title"] = "设置缴款优先级";

  modal["content"] = [
    {"key": "证券代码","value": obj.zqdm},
    {"key": "证券名称","value": obj.zqmc}
  ];

  modal['numbers'] = [{id: "jssx", plus: "BtnPlusRed",  minus: "BtnMinusRed", value: "缴款优先级"}];
  modal['footerMsg'] = [{"value": "提示：请输入大于等于 1 的整数, 数字越小, 优先级越高。"}];
  // 创建模态框
  create_modal($scope, $compile, modal);

  setTimeout(function() {
    $("#jssx").val(obj.jssx);
  }, 100);
}

/*================================================
  函数功能：中签设置缴款优先级设置二次确认显示的模态框
================================================*/
function show_two_zqjkyxjsz_modal(obj)
{
  modal_level = 300;

  modal = {};
  modal["title"] = "优先级设置确认";

  modal["content"] = [
    {"key": "证券代码","value": obj.zqdm},
    {"key": "证券名称","value": obj.zqmc},
    {"key": "缴款优先级","value": obj.jssx2}
  ];

  // 创建模态框
  create_modal($scope, $compile, modal);
}

/*================================================
  函数功能：委托下单
================================================*/
function wtxd_order()
{
  var request = {
    jysdm: select_xg.jysdm,
    gddm: select_xg.gddm,
    mmlb: "B",
    zqdm: select_xg.sgdm,
    wtjg: select_xg.fxjg,
    wtsl: select_xg.wtsl
  };

  var lastUrl = "ptjy/xgsg/wtxd";

  if(ywlx == "rzrq") {
    request.ywlx = "rzrq";
    lastUrl      = "rzrq/xgsg/wtxd";
  }

  ajaxPost(getApiUrl() + lastUrl, request, function(response) {
    wtxd_show_modal(params.message.xgsg_success);
  });
}

/*================================================
  函数功能：放弃数量设置
================================================*/
function fqslsz_order()
{
  var _obj  = controller.scope.zhongqianBean;
  var _fqsl = $("#fqsl").val();

  // 如果股东代码为空，默认从列表里面给第一个，金证需要
  var gddm = _obj.gddm;
  if(!gddm){
    var gdlb = JSON.parse(getLocalData("ActivePTJYUser"))["body"]["gdlb"];
    if (gdlb && gdlb.length > 0) {
      gddm = gdlb[0].gddm;
    }
  }
  var request = {
    "jysdm" : _obj.jysdm,
    "gddm"  : gddm,
    "zqdm"  : _obj.zqdm,
    "fqsl"  : _fqsl
  };

  var lastUrl = "ptjy/xgsg/fqslsz";
  if (ywlx == "rzrq") {
    request.ywlx = "rzrq";
    lastUrl = "rzrq/xgsg/fqslsz";
  }

  ajaxPost(getApiUrl() + lastUrl, request, function(response) {
    wtxd_show_modal("委托下单成功");
  });
}

function jkyxjsz_order()
{
  var _obj  = controller.scope.zhongqianBean;

  // 如果股东代码为空，默认从列表里面给第一个，金证需要
  var gddm = _obj.gddm;
  if(!gddm){
    var gdlb = JSON.parse(getLocalData("ActivePTJYUser"))["body"]["gdlb"];
    if (gdlb && gdlb.length > 0) {
      gddm = gdlb[0].gddm;
    }
  }
  var request = {
    "jysdm" : _obj.jysdm,
    "gddm"  : gddm,
    "zqdm"  : _obj.zqdm,
    "jssx"  : _obj.jssx2,
    "zqrq"  : _obj.zqrq
  }

  var lastUrl = "ptjy/xgsg/pszqjkyxjsz";
  if (ywlx == "rzrq") {
    request.ywlx = "rzrq";
    lastUrl = "rzrq/xgsg/pszqjkyxjsz";
  }

  ajaxPost(getApiUrl() + lastUrl, request, function(response) {
    wtxd_show_modal("委托下单成功");
  });
}


/*================================================
  函数功能：委托下单显示的模态框
================================================*/
function wtxd_show_modal(msg)
{
  modal_level = 100;

  modal = {};

  modal["title"] = "申购";

  modal["msg"] = [{ value: msg }];

  // 创建模态框
  create_modal($scope, $compile, modal, true);
}

}); // ============================================== AngularJS 控制器结束 ==================================================

// 中签统计查询次数
var zq_count_num = 0;
/*===========================================
  函数功能：中签查询
============================================*/
function zq_query(addup)
{
  // 点击标签按钮执行
  if (addup == undefined) {
    zq_count_num = 0;
    controller.scope.zqlist = [];
  }

  if (params.jybblx == "jzwin") {
    zq_count_num = 1;
    addup = true;
  }

  zq_count_num = zq_count_num + 1;

  // 只能执行2次, 超过刚不执行请求数据
  if(zq_count_num == 3) return;

  $(".isEmpty").html("");

  hideNoRecord("zhongqiantab");

  // 功能号 - 中签查询
  var lastUrl = "ptjy/xgsg/zqcx";

  var date = new Date();
  var zzrq = date.Format("yyyyMMdd");       // 终止日期

  // 第一次加载显示近7日, 第二次加载显示1个月
  if (zq_count_num == 1) {
    var qsrq = date.addDays(-7).Format("yyyyMMdd");     // 起始日期
  } else {
    var qsrq = date.addMonths(-1).Format("yyyyMMdd");   // 起始日期
  }
  // 股东代码、证券代码、交易所代码、查询方向、请求行数、定位串、偏移量、起始日期、终止日期
  var request = {
    gddm: "",
    zqdm: "",
    jysdm: "",//todo: 原本为jysdm: "1"，现改为空，查询所有的
    cxfx: "1",
    qqhs: "999",
    dwc: "",
    pyl: "",
    qsrq: qsrq,
    zzrq: zzrq
  };

  // 融资融券与普通交易做区分
  if (ywlx == "rzrq") {
    request.ywlx = "rzrq";
    lastUrl      = "rzrq/xgsg/zqcx";
  }

  controller.scope.zqlist = [];

  ajaxPost(getApiUrl() + lastUrl, request, function(response) {
    // 对返回数据中的列表数据进行非空处理
    formatResponseData(response);

    controller.scope.zqlist = $.merge(controller.scope.zqlist, response.cxlb);

    if (controller.scope.zqlist.length == 0) {
      showNoRecord("zhongqiantab", zq_count_num == 1 ? "查询近一周无中签记录" : "查询近一月无中签记录");
    } else {
      hideNoRecord("zhongqiantab");
    }

    // 定时重置滑动控件, 很重要, ajax 加载数据都需要加上这一句
    setTimeout(function() {
      iscrollObj.refresh();
    }, 200);
  });

  // 查询历史中签记录
  if (addup == true) {
    // 融资融券与普通交易做区分
    if (ywlx == "ptjy") {
      lastUrl = "ptjy/xgsg/lszqcx";
    } else if (ywlx == "rzrq") {
      lastUrl = "rzrq/xgsg/lszqcx";
    } else {
      return;
    }
  }

  ajaxPost(getApiUrl() + lastUrl, request, function(response) {
    // 对返回数据中的列表数据进行非空处理
    formatResponseData(response);

    controller.scope.zqlist = $.merge(controller.scope.zqlist, response.cxlb);

    if (controller.scope.zqlist.length == 0) {
      showNoRecord("zhongqiantab", zq_count_num == 1 ? "查询近一周无中签记录" : "查询近一月无中签记录");
    } else {
      hideNoRecord("zhongqiantab");
    }

    // 定时重置滑动控件, 很重要, ajax 加载数据都需要加上这一句
    setTimeout(function() {
      iscrollObj.refresh();
    }, 200);
  });

}

// 配号统计查询次数
var ph_count_num = 0;
/*===========================================
  函数功能：配号查询
 ===========================================*/
function ph_query(addup)
{
  if(addup == undefined)
  {
    ph_count_num = 0;
    controller.scope.phlist = [];
  }

  ph_count_num = ph_count_num + 1;

  // 只能执行2次, 超过刚不执行请求数据
  if(ph_count_num == 3) return;

  $(".isEmpty").html("");

  var date = new Date();
  var zzrq = date.Format("yyyyMMdd");       // 终止日期

  // 第一次加载显示近7日, 第二次加载显示1个月
  if (ph_count_num == 1) {
    var qsrq = date.addDays(-7).Format("yyyyMMdd");     // 起始日期
  } else {
    var qsrq = date.addMonths(-1).Format("yyyyMMdd");   // 起始日期
  }

  var qsrq = date.Format("yyyyMMdd");       // 起始日期

  hideNoRecord("peihaotab");

  // 股东代码、证券代码、交易所代码、查询方向、请求行数、定位串、偏移量、起始日期、终止日期
  var request = {gddm: "", zqdm: "", jysdm: "", cxfx: "1", qqhs: "999", dwc: "",  qsrq: qsrq, zzrq: zzrq};

  var lastUrl = "ptjy/xgsg/phcx";

  if (ywlx == "rzrq") {
    request.ywlx = "rzrq";
    lastUrl = "rzrq/xgsg/phcx";
  }

  controller.scope.ph_body = [];

  ajaxPost(getApiUrl() + lastUrl, request, function(response) {

    if (controller.scope.phlist == undefined) {
      controller.scope.phlist = [];
    }

    // 对返回数据中的列表数据进行非空处理
    formatResponseData(response);

    var tmp = ["深A", "沪A", "深B", "沪B"];
    var _bean = {};
    for (var i = 0, len = response.cxlb.length; i < len; i++) {
      // 配号数量去掉小数点
      response.cxlb[i].phsl = response.cxlb[i].phsl != "--" ? parseInt(response.cxlb[i].phsl) : response.cxlb[i].phsl;
      response.cxlb[i].jysdmsm = tmp[response.cxlb[i].jysdm]||"--";

      _bean = response.cxlb[i];
      controller.scope.ph_body[i] = params.jybblx == "jzwin" ? [
        _bean.zqmc,
        _bean.zqdm,

        _bean.sgph,
        "",

        _bean.phsl,
        _bean.cjrq,

        _bean.gddm,
        "",
      ] : [
        _bean.lsxh,
        "",

        _bean.zqmc,
        _bean.zqdm,

        _bean.phsl,
        "",

        _bean.jysdmsm,
        ""
      ];
    }

    controller.scope.phlist = response.cxlb;

    if (response.cxlb.length == 0) {
      showNoRecord("peihaotab", ph_count_num == 1 ? "查询近一周无配号记录" : "查询近一月无配号记录");
    }

    setTimeout(function() { iscrollObj.refresh(); }, 200);
  });
}

function qy_query(addup)
{
  if(addup == undefined)
  {
    controller.scope.edlist = [];
  }

  $(".isEmpty").html("");

  hideNoRecord("quanyitab");

  // 股东代码、证券代码、交易所代码
  var request = {gddm: "", zqdm: "", jysdm: "0"};

  var lastUrl = "ptjy/xgsg/xgedcx";

  if(ywlx == "rzrq")
  {
    request.ywlx = "rzrq";
    lastUrl      = "rzrq/xgsg/xgedcx";
  }

  ajaxPost(getApiUrl() + lastUrl, request, function(response) {

    var cxlb = [];

    // 只显示 A 股, 过滤 B 股
    for(var i = 0, len = response.cxlb.length; i < len; i++)
    {
      if( response.cxlb[i].jysdm == "0" || response.cxlb[i].jysdm == "1" )
      {
        cxlb.push(response.cxlb[i]);
      }
    }

    controller.scope.edlist = cxlb;

    if(cxlb.length == 0)
    {
      showNoRecord("quanyitab", "查询无权益记录");
    }

    setTimeout(function() { iscrollObj.refresh(); }, 200);
  });
}


function showNoRecord(id, msg)
{
  // 解决重复显示的问题
  if ($("#" + id).find(".no-record").length == 0) {
    $("#" + id).find("tbody").append(noRecord.replace("{{value}}", msg));
  }
}

function hideNoRecord(id)
{
  if( $("#"+id).find(".no-record").length > 0 )
  {
    $("#"+id).find(".no-record").remove();
  }
}

// 列表无数据时显示内容
var noRecord = '<tr class="no-record">'+
  '<td colspan="4">{{value}}</td>'+
'</tr>';

/*=======================================================
  函数功能：计算金额
=======================================================*/
function amount_calculation(number, price)
{
  console.log("number = " + number + "  price = " + price);
  // 数量与价格不存在或不是数字时，直接返回
  if(number == undefined || isNaN(number) || price == undefined || isNaN(price)) return "";

  number = parseInt(number);
  price  = parseFloat(price);

  return (number * price).toFixed(0);
}


/*=============================================
  函数功能：解析股东代码
  入参说明：jysdm  交易所代码
==============================================*/
function parseGddmList(jysdm)
{
  var gddms = [];

  var userKey = ywlx == "ptjy" ? "ActivePTJYUser" : "ActiveRZRQUser";

  if(getLocalData(userKey))
  {
    var gdlist = JSON.parse(getLocalData(userKey))["body"].gdlb;

    for(var i = 0 ; i < gdlist.length; i++)
    {
      if(gdlist[i].jysdm == jysdm)
        gddms.push(gdlist[i].gddm);
    }
  }

  return gddms;
}

/*=============================================
  函数功能：模态框底部文字信息
  入参说明：jysdm  交易所代码
==============================================*/
function footerMsg(jysdm)
{
  jysdm = typeof(jysdm) == "string" ? parseInt(jysdm) : jysdm;

  if(jysdm == 0 || jysdm == 2) { //深市
    return "深圳市场每个申购单位为500股。申购数量应为500股整数倍。";
  }
  else if(jysdm == 1 || jysdm == 3) {  //沪市
    return "上海市场每个申购单位为1000股。申购数量应为1000股整数倍。";
  }
  else {
    return "";
  }
}

/**
 *  自定义键盘回调函数 [与APP交互使用,函数名不能随意修改] [重写]
 *  @param param  键盘输入的值
 */
function fillInputContent(param)
{
  if (param == "del") {
    var _value = $("#" + params.id).val();
    if (_value.length > 0) {
      _value = _value.substring(0, _value.length - 1);
      $("#" + params.id).val(_value);

      if (params.id == "number") {
        // 显示金额
        show_price(null, null, "number");
      }
    }
  }
  else {
    if (params.id == "jymm") {
      $("#" + params.id).val($("#" + params.id).val() + param);
    }
    else {
      // 申购数量
      if (params.id == "number") {
        // 输入数量不能超过限额
        if (check_number(null, param)) {
          $("#" + params.id).val($("#" + params.id).val() + param);
        }

        // 显示金额
        show_price(null, null, "number");
      }
      // 放弃数量
      else if (params.id == "fqsl") {
        // 输入数量不能超过限额
        if (check_fqsl(null, param)) {
          $("#" + params.id).val($("#" + params.id).val() + param);
        }
      } else {
        $("#" + params.id).val($("#" + params.id).val() + param);
      }
    }
  }
}

/**
 * 显示金额
 * @param id     ID
 * @param num    数量
 */
function show_price($scope, modal, id)
{
  var num = $("#" + id).val();

  num = num == "" ? 0 : num;

  if($scope == null || modal == null)
  {
    $("label.price").html(calculate_price(xg_fxjg, num) + "元");
  }
  else
  {
    modal['numbersMsg'][0]['value'] = calculate_price(xg_fxjg, num) + "元";

    $scope.modal = modal;
  }

}


/**
 * 计算金额
 * @param price  价格
 * @param num    数量
 */
function calculate_price(price, num)
{
  // 字符串转数字
  price  = typeof(price) == "string" ? parseFloat(price) : price;
  num    = typeof(num)   == "string" ? parseInt(num) : num;

  // 金额 * 数量 , 千位符
  return formatNumber( price * num, 2 );
}

/*================================================
  函数功能：验证股数
  入参说明：param  类型  + -
            num    自定义键盘传过来的值
================================================*/
function check_number (param, num)
{
  var number = $("#number").val();

  number = number == "" ? 0 : parseInt(number);

  if(param == "+") // 点击 [ + ] 按钮时
  {
    if(number == maxNumber)
    {
      showMessageTips("申购限额 " + maxNumber, "40");
      return false;
    }

    if(number + step > maxNumber)
    {
      $("#number").val(maxNumber);
      return false;
    }
  }

  if(param == "-") // 点击 [ - ] 按钮时
  {
    if(number == 0)
    {
      showMessageTips("申购数量不能低于 " + 0, "40");
      return false;
    }

    if(number - step < 0)
    {
      $("#number").val("0");
      return false;
    }
  }

  if(num != undefined && num != "del") // 键盘输入时
  {
    num = num != "" && typeof(num) == "string" ? parseInt(num) : num;

    if( ( (number * 10) + num ) >  maxNumber )
    {
      $("#number").val(maxNumber);
      showMessageTips("申购限额 " + maxNumber, "40");
      return false;
    }
  }

  return true;
}

/*================================================
  函数功能：验证放弃数量
  入参说明：param  类型  + -
            num    自定义键盘传过来的值
================================================*/
function check_fqsl (param, num)
{
  var _obj  = controller.scope.zhongqianBean;
  var _fqsl = parseInt($("#fqsl").val()||0);
  var max   = parseFloat(_obj.zqsl||0) - parseFloat(_obj.yfqsl||0);
  var min   = 0;

  if (param == "+") {
    if (_fqsl == max) {
      showMessageTips("已经是最大可设置的放弃数量", "40");
      return false;
    }

    if (_fqsl + step > max) {
      showMessageTips("超过最大可设置的放弃数量", "40");
      return false;
    }
  } else if (param == "-") {
    if (_fqsl == min) {
      showMessageTips("已经是最低可设置的放弃数量", "40");
      return false;
    }

    if (_fqsl - step > max) {
      showMessageTips("超过最低可设置的放弃数量", "40");
      return false;
    }
  }

  // 键盘输入时
  if(num != undefined && num != "del") {
    num = num != "" && typeof(num) == "string" ? parseInt(num) : num;

    if( ( (_fqsl * 10) + num ) >  max ) {
      $("#fqsl").val(max);
      showMessageTips("最大可设置的放弃数量 " + max, "40");
      return false;
    }
  }

  return true;
}

$(document).on("click", ".queryTradeSwitch", function() {
  if($(this).hasClass("active"))
  {
    $(this).removeClass("active");
    $(this).find("img").attr({"src": "../../../images/btn_close.svg"});
  }
  else
  {
    $(this).addClass("active");
    $(this).find("img").attr({"src": "../../../images/btn_open.svg"});
  }
});

// 新股查询索引
var newstock_query_index = 0;
var myScroll;

$(document).ready(function()
{
	$("#newstockTab > tbody > tr > td").click(function()
	{
		newstock_query_index = $(this).index();

		$(this).addClass("active").siblings().removeClass("active");

		$(".tab-content .tab-page.active").removeClass("active");
		$(".tab-content .tab-page").eq($(this).index()).addClass("active");

		// 显示第二级选项卡对应的标题栏, 并隐藏其它标题栏
		$(".table-head-group table").eq(newstock_query_index).show().siblings().hide();

		// 点击权益时, 隐藏底部的提示信息
		if(newstock_query_index == 2) {
			$("footer").hide();
		} else {
			$("footer").show();
		}
	});


  $("#NewStockUL li").click(function(){

    $(this).addClass("active").siblings().removeClass("active");

    if( params.ywlx == "ptjy" )
    {
      if( $(this).find("a").text().trim() == "新股查询" )
      {
        JumpInterface(params.viewKey.KDS_PTJY_XGCX, 4, 0);
      }
      else if( $(this).find("a").text().trim() == "新股申购" )
      {
        JumpInterface(params.viewKey.KDS_SM_XGSG, 4, 0);
      }
    }
    else if( params.ywlx == "rzrq" )
    {
      if( $(this).find("a").text().trim() == "新股查询" )
      {
        JumpInterface(params.viewKey.KDS_RZRQ_XGCX, 4, 0);
      }
      else if( $(this).find("a").text().trim() == "新股申购" )
      {
        JumpInterface(params.viewKey.KDS_RZRQ_XGSG, 4, 0);
      }
    }

  });

	// 新股查询界面
  if($("#newstockTab").length > 0)
  {
    // 第一加载页面时默认点击 “中签” , 使用延迟加载
    setTimeout(function(){
      zq_query();
    }, 500);
  }

});

// 设置表格内容区域的高度
// function setScrollAreaHeight() {
//     setTimeout(function() {
//         var footer      = $("footer"),
//             srcollArea  = $(".wrapper"),
//             height      = document.documentElement.clientHeight;

//         footer = footer.length > 0 ? footer.height() : 0;
//         height = height - srcollArea.offset().top - footer;

//         srcollArea.height(height);
//     }, 200);
// }

/**
 * 新股申购不同版本的初始化
 */
function xgsg_init($scope) {
  // 金证 Win 版
  if(params.jybblx == "jzwin") {
    $scope.zq_head = ["名称代码", "日期/优先级", "中签/缴款量", "中签/缴款额"];
    $scope.ph_head = ["名称代码", "起始配号", "数量/日期", "股东代码"];
    $scope.zq_head_class = ["", "", "", ""];
    $scope.footerMsg = "单击列表数据设置缴款优先级";

    if ($("#NewStockUL").find(".active").text().trim() == "新股申购") {
      $scope.footerMsg = "";
    }
  }
}
