﻿
var app=angular.module('ptjyHome',[]);

app.controller('ptjyHomeController', function($rootScope, $scope, $http,$compile)
{

  //电子签约是否显示
  $scope.isDZQYShow = isDZQYShow;
  // 新股申购是否显示
  $scope.isXGSGShow = isXGSGShow;
  //交割单查询
  $scope.isJGDCXShow = isJGDCXShow;
 // 登录日志是否显示
  var isLoginLogShow = false;
  var loginLog = getLocalData("loginLog_ptjy");
  if (loginLog) {
    loginLog = JSON.parse(loginLog);
    $scope.loginLogDate = loginLog.date;
    $scope.loginLogTime = loginLog.time;
    isLoginLogShow = true;
    removeLocalData("loginLog_ptjy");
  }
  $scope.isLoginLogShow = isLoginLogShow;

  $scope.onLoginLogClick = function(){
    $("#loginLogInfo").hide(300);
  }

  // 清除持仓 行情 买入 卖出界面设置的证券代码信息
  if(getLocalData("zqdm"))
  {
    removeLocalData("zqdm");
  }

  // if( params["jybblx"] == "pacific" )
  // {
  //   $scope.isShowKFSJJMenu=false;
  // }
  // else
  // {
  //   $scope.isShowKFSJJMenu=true;
  // }

  if( document.title.trim() == "普通交易首页")
  {
    $scope.isShowExitButton=false;
  }
  else
  {
    $scope.isShowExitButton=true;
  }

  $scope.userAgent = navigator.userAgent;

  if( $("body").hasClass("ptjy-header") )
  {

    // 点击登录 快捷菜单项 主菜单项跳转到登录页
    $("body").delegate("#login, .ul-main > li, .ul-column > li","click", function()
    {
      setLocalData("page",$(this).children("a").children("label").text());

      if( !getIsRegister() )
      {
          showAlert("请先进行手机号码注册。","提示信息", true);
          return ;
      }
      else
      {
          // 如果存在快捷跳转, 就删除快捷跳转标识
          if(getLocalData("quickJump"))
          {
              removeLocalData("quickJump");
          }

          // 4-- 隐藏返回按钮  1-- 跳转到下一界面
          JumpInterface(params["viewKey"].KDS_PTJYLogin, 4, 1);
      }

    });

  }
  else if( $("body").hasClass("ptjy-index") )
  {

    ZJCX();

    MultiAccountInit("ptjy");

    $scope.Logout=function()
    {
      var modal={};

      modal["title"]="退出确认";

      if( $("body").hasClass("ptjy-index") == true)
      {
        modal["msg"]=[ {value:"确定要退出当前交易账号?"} ];
      }
      else if( $("body").hasClass("rzrq-index") == true)
      {
        modal["msg"]=[ {value:"确定要退出当前信用交易账号?"} ];
      }
      else
      {
        return ;
      }

      create_modal($scope,$compile,modal);
    }

    $scope.Ensure=function()
    {
      Logout();
    }

    $("body").delegate(".ul-main > li,.ul-column > li","click", function()
    {
      setLocalData("page",$(this).children("a").children("label").text());

      //=============普通买卖快捷菜单======================
      if($("body").hasClass("ptjy-index") == true)
      {
        $("#loginLogInfo").hide();
        if(getLocalData("page") == "买入" )
        {
          JumpInterface(params.viewKey.KDS_Buy,8,1);
        }
        else if( getLocalData("page") == "卖出")
        {
          JumpInterface(params.viewKey.KDS_Sell,8,1);
        }
        else if(getLocalData("page") == "撤单")
        {
          JumpInterface(params.viewKey.KDS_CheDan,0,1);
        }
        else if(getLocalData("page") == "查询")
        {
          JumpInterface(params.viewKey.KDS_Query,8,1);
        }
        else if(getLocalData("page") == "银证转账")
        {
          JumpInterface(params.viewKey.KDS_SM_YZZZ,0,1);
        }
        else if(getLocalData("page") == "资金调度")
        {
          JumpInterface(params.viewKey.KDS_PTJY_ZJDD,0,1);
        }
        else if(getLocalData("page") == "新股申购")
        {
          JumpInterface(params.viewKey.KDS_SM_XGSG,0,1);
        }
        else if(getLocalData("page") == "开放式基金")
        {
          //JumpInterface(params.viewKey.KDS_KFSJJ_Index,8,1);
          judgeToFunds ();
        }
        else if(getLocalData("page") == "ETF基金")
        {
          JumpInterface("etf/home/etf_login.html",0,1);
        }
        else if(getLocalData("page") == "LOF基金")
        {
          JumpInterface("etf/home/lof_login.html",0,1);
        }
        else if(getLocalData("page") == "港股通")
        {
          JumpInterface("hkstock/home/trade_header.html",0,1);
        }
        else if (getLocalData("page") == "交割单查询")
        {
          JumpInterface("ptjy/jgdcx/jgdcx.html", 0, 1);
        }
        else if(getLocalData("page") == "股份转让")
        {
          JumpInterface("gfzr/home/home_index.html",0,1);
        }
        else if(getLocalData("page") == "上海报价回购")
        {
          //JumpInterface("etf/home/lof_login.html",0,1);
        }
        else if(getLocalData("page") == "深圳报价回购")
        {
          //JumpInterface("etf/home/lof_login.html",0,1);
        }
        else if(getLocalData("page") == "密码修改")
        {
          JumpInterface(params.viewKey.KDS_PTJY_XGMM,8,1);
        }
        else if (getLocalData ("page") == "电子签约") {
          JumpInterface (params.viewKey.KDS_DZQY_LIST, 0, 1);
        }
      }
    });

    $(document).ready(function()
    {
      $("#owl-demo").owlCarousel({
        autoPlay: false,
        items : 1
      });
    });

    // 绑定多账号切换事件
    bindMultiUserSwitchEvent();

  }

});

//跳转到开放式基金（判断是否已经答题测评，没有的话，先答题测评）
function judgeToFunds () {

  if (isAppointedCompony(ZQGS_HUALONGXIAOJIN)) { //华龙小金，不用验证，直接进入基金界面
    JumpInterface(params.viewKey.KDS_KFSJJ_Index, 8, 1);
  } else {
    if (getLocalData("ActivePTJYUser")) {
      //客户属性（“0”：个人  “1”：机构）
      var cpdcbbh = JSON.parse(getLocalData("ActivePTJYUser"))["body"]["dlxx"][0].khsx == "0" ? "3" : "4";
      ajaxPost(getApiUrl() + "ptjy/cwkfsjj/jjkhfxcx", {cpdcbbh: cpdcbbh}, function (response) {

        //fxdj(风险等级(-1:未做风险测评))  fxdjsm(风险等级说明)  cpdf(测评得分)  cprq(测评日期)  qyzhlx(签约账
        var info = response.fhxx;
        if (info && info.length > 0) {
          info = info[0];
          if ("-1" != info.fxdj.toString()) { //已经签约过
            JumpInterface(params.viewKey.KDS_KFSJJ_Index, 8, 1);
          } else {
            JumpInterface(params.viewKey.KDS_DZQY_RISK_START, 8, 1);
          }
        } else {
          JumpInterface(params.viewKey.KDS_DZQY_RISK_START, 8, 1);
        }
      });
    } else {
      console.log("普通交易用户信息丢失");
    }

  }
};


app.directive('ptjymenu', function() {
    return {
        restrict: 'E',
        templateUrl : "ptjy_menu.html",
        replace: true
    };
});
