/*==============本地存储数据一览表====================
Account:     多账户信息
ActivePTJYUser:  当前用户信息
closeclinch: 成交开关的状态
page:        切换界面
zqdm:        行情,持仓界面保存的证券代码

apiUrl 			交易服务器地址
timeOut 		设置请求超时时间
khbsList;		客户标识 历史输入记录下拉框显示(登录页面使用)
dataList		页面传值对象

remember		记录账号


1100009289
====================================================*/


/*================= common.js 函数功能列表 ===========

loadding.run();															页面弹框显示加载状态
loadding.stop();														去掉加载状态

ajaxPost(url,jsonData,method,errorMethod);	web前后端通信

getformdata();															获取表单数据	文本框添加属性：isSub="true"

showKeyboard(id,type);											显示APP自定义键盘

fillInputContent(param);										自定义键盘回调函数

JumpInterface (url, hasRefresh, direction);	跳转界面

jumpToView();																快捷跳转页面

IsSuccess(response,errorMethod);						是否成功

setApiUrl(apiUrl);													设置交易服务器地址

getApiUrl();																获取交易服务器地址

setTimeOut(timeOut);												设置请求超时时间

getTimeOut();																获取请求超时时间

Logout();																		注销用户登录信息

showMessageTips(obj);												模拟APP显示提示信息

RecordCheckBox(obj)                         记录复选框的状态

getBrowser();																获取浏览器类型	pc/android/ios

trim(str):                              去除字符串中的空格回车
setLocalData(key,value):                设置本地存储数据
setLocalListData(listName,value):       存储列表数据
removeLocalListData(listName,value):    清除列表中指定字段
getLocalData(key):                      获取本地存储数据
removeLocalData(key):                   清除本地存储数据
clearLocalData():                       清空本地存储数据

========================================================*/

//外网地址：http://e696.wicp.net:21800/api/trade/
//内网地址：http://192.168.1.100:8080/api/trade/
var isTiming=0;

var params = {};
//交易登录请求地址
//http://www.wealthyharb.com:21800/	http://192.168.1.100:8080/api/trade/
//东莞资讯数据源地址
params['newsDataUrl']="http://sjzx.dgzq.com.cn:8087/gold/mobile_f10/data_provider.jsp";
//东莞资讯详情地址
params['newsDetailUrl']="http://sjzx.dgzq.com.cn:8087/gold/mobile_f10/m/information_content.shtml"
params['apiUrl']="http://192.168.1.100:8080/api/trade/";
//浏览器	pc/android/ios
params['browser'] = getBrowser();


/**
 *	URL 跳转界面
 *	@param url	url地址
 *	@param hasRefresh	标识有无刷新按钮 0：显示，4：隐藏(占空间),8:隐藏(不占空间)
 *	@param direction	1：下一级界面；-1：返回上一级界面
 */
function JumpInterface (url, hasRefresh, direction) {	
	// 未传第3个参数时默认为1
	direction = direction == undefined ? 1 : direction;

	if(!isNaN(hasRefresh))
	{
		hasRefresh = parseInt(hasRefresh);
	}
	else
	{
		console.log("hasRefresh参数值不是数字，使用默认值 0 ");
		hasRefresh = 0;
	}
	
	if(!isNaN(direction))
	{
		direction = parseInt(direction);
	}
	else
	{
		console.log("direction参数值不是数字，使用默认值 1 ");
		direction = 1;
	}


	if(params.browser == 'android')
	{		
		KDS_Native.switchWebView(url, hasRefresh, direction);
	}
	else if(params.browser == 'ios')
	{
		location.href="KDS_Native://switchWebView:"+url+":"+hasRefresh+":"+direction;
	}
	else
	{
		var _url = window.location.href;
		
		var _index = _url.indexOf("view/");
		_url = _url.substring(0,_index+5);
		url = _url + url;
		
		console.log("跳转地址：" + url);
		location.href=url;
	}
}

/*=========================================
	函数功能：获取浏览器类型
=========================================*/
function getBrowser()
{
	var type = "pc"
	var ua = navigator.userAgent.toLowerCase();
	if(ua.indexOf('android') > -1)
	{
		type = "android"
	}
	else if(ua.indexOf('iphone') > -1 || ua.indexOf('ipad') > -1) 
	{
		type = "ios";
	}
	
	return type;
}



