/**
 *
 * $Date: 2015-07-17 15:45:35 +0800 (周五, 2015-07-17) $
 * $Revision: 4835 $
 * $Author: wangpenghui $f
 */

/*==========================公共变量、函数声明======================================
Modal         																模态框页面结构   modal.title/modal.content/modal.single/modal.msg/modal.inputbox/modal.numbers/modal.numbersMsg/modal.footerMsg

RightWindow   																右侧弹出持仓页面结构

CustomAlert   																自定义提示框页面结构

moveRow       																持仓界面动态插入行页面结构

showAlert(msg,title,showCancelBtn)   					弹出信息提示框

moveToCenter(divID)                           使div水平垂直居中

CloseAlert()                  								关闭自定义提示框

Confirm()                                     确定按钮处理函数

RestoreTimeOut()    													页面刷新或倒退时 恢复锁定状态

Unlock()																			登录超时解锁

Exit()																				登录注销

setMultiLogin(dllx)                           设置多用户登录标志

MultiAccountInit(ywlx)                        多账号初始化

setActiveUser(ywlx,zjzh)                      根据选择的客户号,切换当前的活动用户信息

parseUserInfo(dllx,userInfo,khdm)             解析用户登录信息

parseAssetsQuery(ywlx,response)               资金查询解析

DynInsertRow(TableID,obj,content)             在表格点击行之后插入新行

removeRow(rowID)             								  从表格中移除指定行

setLocalListData(listName,value)              存储列表数据

removeLocalListData(listName,value)           清除列表中指定字段

add(a, b)                                     浮点数加法运算

sub(a, b)                                     浮点数减法运算

mul(a, b)                                     浮点数乘法运算

divi(a,b)					                            浮点数除法运算

Inc(num,unit,fixed)                           自增运算

Dec(num,unit,fixed)                           自减运算

CalcKMMSL(zzc,price,unit)                     计算可买卖数量

format(num)                                   千分位转换

formatNumber(num, fixedPoint)                 数字型字符串千分位转换

parseFloatW(num)                              先除以1万在进行千分位转换并保留小数

SliceFixed(num,fixed)                         保留小数点固定位数

toLastFixed4(num)                             取后4位

calPrecent(array):                            计算五档行情买卖数量的百分比

CheckIsPlus(obj):                            检测股票代码输入是否正确

CheckVolume(obj,mmlb):                        检测数量是否为正整数

CheckPrice(obj):                              判断价格是否为正实数

CheckMoney(obj);                              验证金额格式

CustomPlaceholder(obj,Type)                   自定义placeholder效果

FormCheck(t,obj,Type,parentLevel)             表单检查

cutStr(srcStr,addChar,step)                   每隔step位,向源字符串插入一个字符addChar

NoRecordNote(info,cols,tableID)               表格无数据时显示提示信息

getDWC(response,len,type)                     获取定位串

FollowOriginalDataParse(response,colNames,type):        用服务器返回数据填充表格

ResealServerFeedbackData(response,colNames,type):    		填充组合数据表格

loadMoreContent(response,len,type)                      加载更多内容

refreshNote(callback,tbody)                             无数据时刷新数据提示

removejQueryAppendContent()                             移除jQuery方式追加的内容

JumpPositionPage()                                      跳转到持仓界面

getControllerMethod($rootScope, $scope, $http,$compile) 保存angularJS控制器的内置方法

BtnPageJump(obj)                              					页面跳转按钮点击事件

$("#queryTradeSwitch").on("click")                      单选开关绑定事件

$(document).on("mouseenter",".dropdown-menu > li")      自定义选择框点击事件

$(document).on("click",".line.custom-select")           显示-隐藏自定义选择框

$("body").click                                         点击非选择框区域,关闭自定义选择框

$("body").on("click", ".ul-main > li")                  快捷菜单点击事件

$("body").on("click",".ul-column > li")                 主页菜单点击事件

window.onerror                                          window 出错事件

onQueryTimeViewClick                                    函数功能: 查询时间输入框，点击函数

addQueryDateSettingView                                 函数功能: 添加自定义时间设置框到界面
 ================================================================================*/
var mobileDialogElement;      									// 模态框对象

var InsertRow={
                isMoveRow:false,               	// 是否存在动态移动行
                curSelRowIndex:"",             	// 当前选中行序号
                prevSelRowIndex:undefined     	// 上次选中行序号
              };

 var query={

  rzrq_dbphz_ptzxydwc:"",  // 融资融券-担保品划转普通转信用定位串      第一次填空
  rzrq_dbphz_xyzptdwc:"",  // 融资融券-担保品划转信用转普通定位串      第一次填空
  rzrq_xqhqdwc:"",         // 融资融券-现券还券定位串                 第一次填空
  rzrq_cccxdwc:""         // 融资融券-持仓查询定位串                  第一次填空

 };


var kfsjjChaChe={

  type             :   "",        // 具体请求类型
  requestUrl       :   "",        // url请求地址
  postData         :   {},        // 需要传送的参数
  colNames         :   [],        // 需要解析的字段
  chedanRow        :   "" ,       // 点击撤单行对象

  krgjjxxcxdwc    :  "",      // 开放式基金-可认购基金查询定位串             第一次填空
  ksgjjxxcxdwc    :  "",      // 开放式基金-可申购基金查询定位串             第一次填空
  kshjjxxcxdwc    :  "",      // 开放式基金-可赎回基金查询定位串             第一次填空

  jjfecxdwc    :  "",      // 开放式基金-持仓查询定位串                   第一次填空
  jjxxcxdwc    :  "",      // 开放式基金-基金信息查询定位串               第一次填空
  jjkcdwtcxdwc :  "",      // 开放式基金-可撤单委托查询定位串             第一次填空

  jjlswtcxdwc  :  "",      // 开放式基金-历史委托查询定位串               第一次填空
  jjmwtcxdwc   :  "",      // 开放式基金-当月委托查询定位串               第一次填空
  jjdrwtcxdwc  :  "",      // 开放式基金-当日委托查询定位串               第一次填空

  jjlscjcxdwc  :  "",      // 开放式基金-历史成交查询定位串               第一次填空
  jjmcjcxdwc   :  "",      // 开放式基金-当月成交查询定位串               第一次填空
  jjdrcjcxdwc  :  "",      // 开放式基金-当日成交查询定位串               第一次填空

};

//=========================持仓模态框=======================================
var RightWindow="<div  id='RightWindow' >"+

  " <div class='modal-backdrop in' style='z-index:1;'></div>"+
  // " <div class='top'>"+

  " <div id='right-window'>"+

	"		<div class='line title' onclick='CloseModal()'>"+

	"			<div class='w70per'>"+
	"				我的持仓"+
	"			</div>"+

	"	  	<div class='w30per' style='padding:0px;'> "+
	"		  	<img src='../../../images/btn_right.svg'>"+
	"	  	</div> "+

	"		</div>"+

  "  <table class='table-head'>"+

	"      <thead> "+
	"        <tr> "+
	"          <th ng-repeat='th in thead' >{{th.name}}</th> " +
	"        </tr>"+
	"      </thead>"+

	" </table>" +
	// "</div>"+
 //  "<div id='scroll-area'>"+
	"	<div class='scrollTable'>"+

	"  <table class='table table-hover' id='position'>"+

	"  	<tbody class='ptjy-rzrq-tbody'>"+

	"   	<tr ng-repeat='row in rowHolds' onclick='FullBargainFrom(this)' >"+

	"        <td> "+
	"          	<p>{{row[0]}}</p>"+
		"         <p>{{row[1]}}</p>"+
	"        </td>"+

	"        <td>"+
	"          	<p>{{row[2]}}</p>"+
	"          	<p>{{row[3]}}</p>"+
	"        </td>"+

	"         <td>"+
	"          	<p>{{row[4]}}</p>"+
	"          	<p>{{row[5]}}</p>"+
    "           <p class='zqdm hide'>{{row[6]}}</p>"+
	"         </td>"+
	"       </tr>"+

	"     </tbody>"+

	"  	<tbody class='kfsjj-tbody'>"+

	"   	<tr ng-repeat='row in rowHolds' onclick='FullBargainFrom(this)' >"+

	"        <td> "+
	"          	 <p>{{row[0]}}</p>"+
	"          	 <p>{{row[1]}}</p>"+
	"        </td>"+

	"         <td>"+
	"            <p>{{row[2]}}</p>"+
	"         </td>"+
	"         <td>"+
	"          	<p>{{row[3]}}</p>"+
	"         </td>"+
	"       </tr>"+

	"     </tbody>"+

	"    </table>"+

	"   </div>"+

	" </div>"+

  // "</div>"+

  "</div>";

//=========================确认模态框============================================
var Modal="<div class='modal' id='modalTips' style='display:block;'>                      "+
    "                                                                          "+
    "  <div class='modal-backdrop in'></div>                                   "+
    "                                                                          "+
    "  <div class='modal-dialog'>                                              "+
    "                                                                          "+
    "    <div class='modal-content'>                                           "+
    "                                                                          "+
    "      <div class='modal-header'>                                          "+
    "        <h4 class='modal-title'>{{modal.title}}</h4>                      "+
    "      </div>                                                              "+
    "                                                                          "+
    "      <div class='modal-body'>                                            "+
    "                                                                          "+
    "           <table>                                                        "+
    "              <tbody>                                                     "+
    "                                                                          "+
    "                  <tr ng-repeat='row in modal.content'>                   "+
    "                    <td>{{ row.key }}</td>                                "+
    "                    <td>{{ row.value }}</td>                              "+
    "                  </tr>                                                   "+
    "                  <tr class='longContent' ng-repeat='row in modal.longContent'>                   "+
    "                    <td>{{ row.key }}</td>                                "+
    "                    <td>{{ row.value }}</td>                              "+
    "                  </tr>                                                   "+
    "                                                                          "+
    "                  <tr class='single' ng-repeat='row in modal.single'>     "+
    "                     <td colspan='2'>{{row.value}}</td>                   "+
    "                  </tr>                                                   "+
    "                                                                          "+
    "                  <tr class='msg' ng-repeat='row in modal.msg'>           "+
    "                     <td colspan='2'>{{row.value}}</td>                   "+
    "                  </tr>                                                   "+
    "                  <tr  class='inputText' ng-repeat='row in modal.inputContent'> "+
    "                  <td>{{row.key}}</td>                                                  "+
    "                   <td><input type='text' value='{{row.defaultValue}}' id={{row.rowId}}  ng-click='showKeyboard(row.rowId);' readonly='readonly' /></td>        "+
    "                  </tr>                                                   "+
    "                                                                          "+
    "                  <tr  class='inputbox' ng-repeat='row in modal.inputbox'>"+
    "                    <td colspan='2'>                                        "+
    "                      <div data_index='{{$index}}'>                         "+
    "                        <div class='w35per'>                                "+
    "                           <label>{{row.key}}</label>                       "+
    "                        </div>                                              "+
    "                        <div class='w65per'>                               "+
    "                           <input type='password' placeholder='{{row.value}}' id='{{row.id}}' ng-click='showKeyboard(row.id);' autocomplete='off' readonly='readonly'> "+
    "                        </div>                                              "+
    "                      </div>                                                "+
    "                    </td>                                                   "+
    "                  </tr>                                                     "+
    "                                                                            "+
    "                  <tr class='select' ng-repeat='row in modal.select'>       "+
    "                     <td>{{ row.key }}</td>                                 "+
    "                     <td><select ng-model='row.options.selectVal' ng-options='option.value as option.text for option in row.options' ng-change='selectChange($index)'></select></td>  "+
    "                  </tr>                                                     "+
    "                                                                            "+
    "                  <tr class='numbers' ng-repeat='row in modal.numbers'>     "+
    "                    <td colspan='2'>                                        "+
    "                        <div>                                               "+
    "                       <div>                                                "+
    "                           <button class='{{row.minus}} btn-price' ng-click='minus()'></button> "+
    "                       </div>                                               "+
    "                       <div>                                                "+
    "                           <input type='text' id='{{row.id}}' ng-click='showKeyboard(row.id);' ng-model='numbers.number'  class='price' placeholder='{{row.value}}' readonly='readonly'/> "+
    "                       </div>                                               "+
    "                       <div>                                                "+
    "                           <button class='{{row.plus}} btn-price' ng-click='plus()'></button> "+
    "                        </div>                                              "+
    "                        </div>                                              "+
    "                     </td>                                                  "+
    "                  </tr>                                                     "+
    "                  <tr class='numbers-msg' ng-repeat='row in modal.numbersMsg'>  "+
    "                     <td  colspan='2'>                                      "+
    "                         {{row.key}}<label class='price'>{{row.value}}</label>                          "+
    "                     </td>                                                  "+
    "                  </tr>                                                     "+
    "                  <tr class='btnBeforeMsg' ng-repeat='row in modal.btnBeforeMsg'>  "+
    "                     <td  colspan='2'>                                      "+
    "                         {{row.value}}                         						 "+
    "                     </td>                                                  "+
    "                  </tr>                                                     "+
    "                                                                            "+
    "                  <tr class='explaintion' ng-repeat='row in modal.explaintion'>     "+
    "                     <td colspan='2'>{{row.value}}</td>                   "+
    "                  </tr>                                                   "+
    "              </tbody>                                                    "+
    "            </table>                                                      "+
    "                                                                          "+
    "      </div>                                                              "+
    "                                                                          "+
    "      <div class='modal-footer'>                                          "+
    "        <button class='btn btn-default' onclick='CloseModal();'>取消</button>"+
    "        <button class='btn btn-ensure'  ng-click='Ensure();'>确定</button> "+
    "      </div>                                                              "+
    "                                                                          "+
    "      <div class='modal-footer-msg' ng-repeat='row in modal.footerMsg'>   "+
    "         {{row.value}}                                                    "+
    "       </div>                                                             "+
    "    </div>                                                                "+
    "                                                                          "+
    "  </div>                                                                  "+
    "                                                                          "+
    "</div>                                                                    ";

  var RightWindowColumnTwo="<div  id='RightWindow' >"+

  " <div class='modal-backdrop in' style='z-index:1;'></div>"+
  // " <div class='top'>"+

  " <div id='right-window'>"+

    "       <div class='line title' onclick='CloseModal()'>"+

    "           <div class='w70per'>"+
    "               我的持仓"+
    "           </div>"+

    "       <div class='w30per' style='padding:0px;'> "+
    "           <img src='../../../images/btn_right.svg'>"+
    "       </div> "+

    "       </div>"+

  "  <table class='table-head'>"+

    "      <thead> "+
    "        <tr> "+
    "          <th ng-repeat='th in thead' >{{th.name}}</th> " +
    "        </tr>"+
    "      </thead>"+

    " </table>" +
    // "</div>"+
 //  "<div id='scroll-area'>"+
    "   <div class='scrollTable'>"+

    "  <table class='table table-hover' id='position'>"+

    "   <tbody class='ptjy-rzrq-tbody'>"+

    "       <tr ng-repeat='row in rowHolds' onclick='FullBargainFrom(this)' >"+

    "        <td> "+
    "           <p>{{row[0]}}</p>"+
        "         <p>{{row[1]}}</p>"+
    "        </td>"+

    "        <td>"+
    "           <p>{{row[2]}}</p>"+
    "           <p>{{row[3]}}</p>"+
    "        </td>"+

    "         <td>"+
    "           <p>{{row[4]}}</p>"+
    "           <p>{{row[5]}}</p>"+
    "           <p class='zqdm hide'>{{row[6]}}</p>"+
    "         </td>"+
    "       </tr>"+

    "     </tbody>"+

    "   <tbody class='kfsjj-tbody'>"+

    "       <tr ng-repeat='row in rowHolds' onclick='FullBargainFrom(this)' >"+

    "        <td> "+
    "            <p>{{row[0]}}</p>"+
    "            <p>{{row[1]}}</p>"+
    "        </td>"+

    "         <td>"+
    "            <p>{{row[2]}}</p>"+
    "         </td>"+
    "       </tr>"+

    "     </tbody>"+

    "    </table>"+

    "   </div>"+

    " </div>"+

  // "</div>"+

  "</div>";

//=========================提示信息模态框=======================================
var CustomAlert="<div class='modal' id='CustomAlert' style='display:block;'> "+
"                                                                          "+
"  <div class='modal-backdrop in'></div>                                   "+
"                                                                          "+
"  <div class='modal-dialog'>                                              "+
"                                                                          "+
"    <div class='modal-content'>                                           "+
"                                                                          "+
"      <div class='modal-header'>                                          "+
"        <h4 class='modal-title' id='title'></h4>                          "+
"      </div>                                                              "+
"                                                                          "+
"      <div class='modal-body'>                                            "+
"                                                                          "+
"           <table>                                                        "+
"              <tbody>                                                     "+

"                  <tr class='msg'>           "+
"                     <td colspan='2' class='info'></td>                   "+
"                  </tr>                                                   "+
"              </tbody>                                                    "+
"            </table>                                                      "+

"                                                                          "+
"      </div>                                                              "+

"      <div class='modal-footer'>                                          "+

"        <button class='btn btn-default' onclick='Back()' style='display:none'>取消</button> "+

"        <button class='btn btn-ensure'  onclick='Confirm()'>确定</button> "+

"      </div>                                                              "+

"	   </div>                                                                "+

"  </div>                                                                  "+

"</div>                                                                    ";


//=========================超时锁定模态框=======================================
var TimeOut="<div class='modal' id='TimeOut' style='display:block;'>  "     +
"                                                                          "+
"  <div class='modal-backdrop in'></div>                                   "+
"                                                                          "+
"  <div class='modal-dialog'>                                              "+
"                                                                          "+
"    <div class='modal-content'>                                           "+
"                                                                          "+
"      <div class='modal-header'>                                          "+
"        <h4 class='modal-title' id='title'>当前账号锁定</h4>              "+
"      </div>                                                              "+
"                                                                          "+
"      <div class='modal-body'>                                            "+

"           <table class='Relogin'>                                        "+
"              <tbody>                                                     "+

"                  <tr>                                           				 "+
"                     <td>锁定账号</td>                                    "+
"                     <td id='khbz'></td>                                  "+
"                  </tr>                                                   "+
"                  <tr>                                                    "+
"                     <td>交易密码</td>                                    "+
"                     <td class='jymm'><input type='password' id='jymm' placeholder='请输入交易密码' onclick='showKeyboard(\"jymm\",\"1\")'; readonly='readonly' /></td> "+
"                  </tr>                                                   "+
"              </tbody>                                                    "+
"            </table>                                                      "+

"                                                                          "+
"      </div>                                                              "+

"      <div class='modal-footer'>                                          "+

"        <button class='btn btn-default' onclick='Exit()'>注销</button>    "+

"        <button class='btn btn-ensure'  onclick='Unlock()'>解锁</button>  "+

"      </div>                                                              "+

"	   </div>                                                                "+

"  </div>                                                                  "+

"</div>                                                                    ";

//==========================动态插入买卖按钮或融资买入按钮行=========================
var moveRow="<tr class='moveRow' style='background-color:#eee;'> "         +
      "  <td colspan='4' class='ptmm'>"                                    +
      "    <div class='w100per'>"+
      "     <div class='btn-buy w50per' onclick='BtnPageJump(this)'>"      +
      "       买入                            "														 +
      "     </div>                            "														 +

      "     <div class='btn-sell w50per' onclick='BtnPageJump(this)'> "    +
      "       卖出                            "														 +
      "     </div>                            "														 +
      "   </div>"+
      "  </td>                               "														 +
      "</tr> ";


/*==================================================================
函数功能：                  弹出信息提示框
传入参数: msg:提示消息  title:标题  showCancelBtn:是否显示取消按钮
==================================================================*/
function showAlert(msg,title,showCancelBtn)
{

  // 显示信息提示框时,关闭自定义键盘
  hideKeyBoard();

  if( $("#CustomAlert").length == 0 )
  {

    $(document.body).append(CustomAlert);

    // 提示语超过一行则设置文字居中对齐
    if( $(".modal-body > table > tbody > tr.msg > td").height > 20 )
    {
      $(".modal-body > table > tbody > tr.msg > td").css({"text-align":"left"});
    }
    else //提示语超过一行则设置文字左对齐
    {
    	$(".modal-body > table > tbody > tr.msg > td").css({"text-align":"center"});
    }

    showCancelBtn = showCancelBtn ? showCancelBtn : "";
    // 是否显示取消按钮
    if(showCancelBtn)
    {
      $("#CustomAlert .btn-default").show();
    }

    // 标题
    $("#CustomAlert #title").text(title);
    // 信息内容
    $("#CustomAlert .info").text(msg);

    // 使提示框居中显示
    moveToCenter("dialog");

  }

}

//======================================================
// 函数功能:      使div水平垂直居中
//======================================================
function moveToCenter(divID)
{
  var left=(document.documentElement.clientWidth-$("#"+divID).width())/2;

  // 高度上移了50px
  var height=(document.documentElement.clientHeight-$("#"+divID).height()-100)/2;
  $("#"+divID).css({"top":height+"px","left":left+"px"});
}

/*=================================
函数功能:  关闭自定义提示框
=================================*/
function CloseAlert()
{
	if( $("#CustomAlert").length > 0 )
  {
  	$("#CustomAlert").remove();
  }
}

/*==================================================================
函数功能:  							关闭自定义提示框
					Confirm() 函数在融资融券登录页被重写,在融资融券登录页
					执行的是融资融券自定义的Confirm()函数
==================================================================*/
function Confirm()
{
  // 登录超时之后跳转到指定首页
  // 登录信息不存在,跳转至登录页
  if( $("#CustomAlert #title").text() ==  "买入"  ||   $("#CustomAlert #title").text()  ==  "卖出" )
  {

    if(  params.ywlx == "ptjy"  )
    {
      setLocalData("page","查询");
      JumpInterface(params.viewKey.KDS_Query,0,1);
    }

  }// 点击了融资融券委托下单成功提示框的确定按钮之后跳转查询界面
	// else if( params.ywlx == "rzrq"  )
	// {

	// 	 setLocalData("page","委托成交");
	// 	 JumpInterface(params.viewKey.KDS_RZRQ_WTCJ_ZJLS_Query,0,1);
	// }

	CloseAlert();

}
/*==================================================================
函数功能：          页面刷新或倒退时 恢复锁定状态
==================================================================*/
function RestoreTimeOut()
{

	if( getLocalData("PTJYTimeOut") == "true" )
	{

		// 普通交易首页,登录页不弹出锁定框
		if(

				document.location.href.indexOf("ptjy_login.html")  > 0  ||
			  document.location.href.indexOf("ptjy_header.html") > 0
		)
		{
			// alert("RestoreTimeOut");
			removeLocalData("ptjyAssets");
    	removeLocalData("PTJYTimeOut");
    	removeLocalData("ActivePTJYUser");
		}
		else
		{
			// 必须停留在普通交易模块界面,才在普通交易界面弹出锁定框
			if( params.ywlx == "ptjy")
			{
				// 关闭自定义键盘
  			hideKeyBoard();
				showLockDialog("ptjy");
			}
		}
	}
	else if( getLocalData("RZRQTimeOut") == "true" )
	{
		if(

		  document.location.href.indexOf("rzrq_login.html")   > 0  ||
			document.location.href.indexOf("rzrq_header.html")  > 0

		)
		{
			// alert("RestoreTimeOut");
	    removeLocalData("rzrqAssets");
    	removeLocalData("RZRQTimeOut");
    	removeLocalData("ActiveRZRQUser");
		}
		else
		{

			if( params.ywlx == "rzrq")
			{
				// 关闭自定义键盘
  			hideKeyBoard();
				showLockDialog("rzrq");
			}
		}
	}
}

/*=================================
函数功能:  登录超时解锁
=================================*/
function Unlock()
{
	var postData={};

	// 隐藏自定义键盘
	hideKeyBoard();

	if($("#TimeOut #jymm").val().length == 0)
	{
		showMessageTips("请输入交易密码");
		return ;
	}

	if( params.ywlx == "rzrq" )
	{
		var isRZRQ = true;
		var url="rzrq/ptyw/login";
	}
	else
	{
		var isRZRQ = false;
		var url = "ptjy/ptyw/login";
	}

  if( isRZRQ )
  {
  	if(getLocalData('ActiveRZRQUser'))
		{
  		postData.rzfs = JSON.parse( getLocalData('ActiveRZRQUser') )["head"]["rzfs"];
  		postData.rzfs = JSON.parse( getLocalData('ActiveRZRQUser') )["head"]["rzfs"];
  	}
  	else
  	{
  		showMessageTips("融资融券的当前用户信息不存在");

  		// 规避方案 如果当前信息不存在, 跳转到未登录首页
  		JumpInterface(params.viewKey.KDS_RZRQHeader, 4, -100);
			return;
  	}
  }
  else
  {
  	if(getLocalData('ActivePTJYUser'))
  	{
  		postData.rzfs = JSON.parse( getLocalData('ActivePTJYUser') )["head"]["rzfs"];
  		postData.rzxx = JSON.parse( getLocalData('ActivePTJYUser') )["head"]["rzxx"];
  	}
		else
		{
			showMessageTips("普通交易的当前用户信息不存在");

			// 规避方案 如果当前信息不存在, 跳转到未登录首页
			JumpInterface(params.viewKey.KDS_PTJYHeader, 4, -100);
			return;
		}
  }


  postData.khbz = $("#TimeOut #khbz").text();

	postData.jymm = $("#TimeOut #jymm").val();

	ajaxPost(getApiUrl() + url, postData, function(response)
	{
		//=============返回的登录信息不为空====================
		if(response.dlxx)
		{

			if(isRZRQ)
			{
				if( !getLocalData('ActiveRZRQUser') )
				{
					showMessageTips("融资融券的当前用户信息不存在");
					return;
				}
			}
			else
			{
				if( !getLocalData('ActivePTJYUser') )
				{
					showMessageTips("普通交易的当前用户信息不存在");
					return;
				}
			}

			if(isRZRQ)
			{
				removeLocalData("RZRQTimeOut");
			}
			else
			{
				removeLocalData("PTJYTimeOut");
			}


	// alert( "UnLock PTJYTimeOut:"+getLocalData("PTJYTimeOut") );
	// alert( "UnLock RZRQTimeOut:"+getLocalData("RZRQTimeOut") );

		}

		if( $("#TimeOut").length > 0 )
	  {
	  	$("#TimeOut").remove();
	  }

	  if( isRZRQ )
	  {
	  	// 调用 APP 锁屏计时器, 开始计时
			timerAction(params.rzrqtimer, "start");
	  }
	  else
	  {
	  	// 调用 APP 锁屏计时器, 开始计时
			timerAction(params.ptjytimer, "start");
	  }
  })
}



/*===========================================================================
函数功能：         清除买卖界面填充数据
传入参数: isBroadcast:是否需要更新angularJS变量 isClearForm:是否清除表单数据
============================================================================*/
function clearBargainPageFullData(isBroadcast,isClearForm )
{

  isBroadcast = isBroadcast ? isBroadcast : "" ;

  if(controller["scope"] && controller["scope"].kmmslcxlist )
  {
    if(isBroadcast == "NoAjax")
    {
      angular.element($("body")).scope().$apply(function(){
        controller["scope"].kmmslcxlist["market"]="";
    　  controller["scope"].kmmslcxlist["prices"]="";
      });

    }
    else
    {
      controller["scope"].kmmslcxlist["market"]="";
  　  controller["scope"].kmmslcxlist["prices"]="";
    }

  }

  isClearForm= isClearForm ? isClearForm : true;


  if( isClearForm == true )
  {
    clearForm();
  }
  else if( isClearForm == "except_zqdm" )
  {
    clearForm(isClearForm);
  }

  // 清除残留数据时,隐藏手动刷新行情按钮
  if( $("#refresh-page").css("display") == "block" )
  {
    $("#refresh-page").hide();
  }



}

/*==============================================
函数功能：  清除表单填充数据
==============================================*/
function clearForm(isClearForm)
{
  isClearForm = isClearForm ? isClearForm : "";

  if( isClearForm != "except_zqdm" )
  {
    order.curzqdm="";
    $("#zqdm").val("");
    $("#zqmc").text("");
  }

  if( $("#consign .consign-type").text().trim() == "限价委托" )
  {
    $("#price").val("");
  }

  order.isNeverInputPrice=true;   // 未输入过委托价格

  $("#volume").val("");
  $("#volume").attr({"placeholder":"请输入买卖数量"});

  $("#zqdm").css({"width":"100%"});


}

/*=================================
函数功能:  登录注销
=================================*/
function Exit()
{

  ClearLoginInfo();

  // 超时登录框存在则删除
  if( $("#TimeOut").length > 0 )
  {
  	$("#TimeOut").remove();
  }

  // 退出跳转至对应模块的首页
  JumpHeaderPage();
}

/*============================================================
函数功能:           设置多用户登录标志
传入参数:             dllx:登录类型
============================================================*/
function setMultiLogin(dllx)
{
  if( dllx == "ptjy")
  {
    //===============保存多账号=============
    setLocalData("ptjyMultiAccountLogin","true");

    timerAction(params.ptjytimer, "stop");

    JumpInterface(params.viewKey.KDS_PTJYLogin,0,1);
  }
  else if( dllx == "rzrq" )
  {
  	setLocalData("rzrqMultiAccountLogin","true");

  	timerAction(params.rzrqtimer, "stop");

  	JumpInterface(params.viewKey.KDS_RZRQLogin,0,1);
  }

  $("#mult-login").hide();

}

/*====================================================================
函数功能:        			多账号初始化
传入类型:             ywlx：业务类型
=====================================================================*/
function MultiAccountInit(ywlx)
{
  var khbz="";
  var userList="";
  var multiAccount={};

  //=============读取本地保存的账号登陆信息===========
  if( ywlx == "ptjy" )
  {
    multiAccount=JSON.parse(getLocalData("ptjyAccount"));

    if( JSON.parse(getLocalData("ActivePTJYUser")) )
    {
      khbz = JSON.parse(getLocalData("ActivePTJYUser"))["body"].dlxx[0].zjzh;
    }
    else
    {
    	return;
    }
  }
  else if(  ywlx == "rzrq" )
  {
    multiAccount=JSON.parse(getLocalData("rzrqAccount"));

    if( JSON.parse(getLocalData("ActiveRZRQUser")) )
    {
      khbz = JSON.parse(getLocalData("ActiveRZRQUser"))["body"].dlxx[0].zjzh;
    }
    else
    {
    	return;
    }
  }



  //============保存的多账号信息不为空================
  if(multiAccount)
  {
    var len=multiAccount.length;

    if( len > 1 )
    {

    	$("#multi-user label").text("账号切换");
    	$("#multi-user img").attr({"src":"../../../images/btn_switch_user.svg"});
    }


    if( len == 0 )
    {
    	 //=======清空之前的残留数据========
	    $("#multi-user tbody").html("");
	    //===========添加用户列表===================
	    $("#multi-user tbody").append("<tr><td>没有登录用户</td></tr>");
	    $("#multi-user tbody tr td").css({"text-align":"center"});


    }
    else
    {
    	$("#multi-user tbody tr td").css({"text-align":"left"});

	    for(var i=0; i<len; i++)
	    {
        //==========解决用长短号多账号登录的问题===============

        var khbz_1 = trim(multiAccount[i]["body"].dlxx[0].zjzh);
        var khbz_2 = trim(khbz);

	      //========设置为当前登录用户为选中状态=================
	      if( khbz_1 == khbz_2 )
	      {
	        //===============解析客户姓名===========================

					handleUserNameOverFlow( multiAccount[i]["body"]["dlxx"][0].khxm );


	        //============解析客户姓名和资金账号=====================
	        userList+="<tr><td>"+multiAccount[i]["body"]["dlxx"][0].khxm+"</td><td>"+multiAccount[i]["body"].dlxx[0].zjzh+"</td><td class='active'></td></tr>";
	      }
	      else
	      {
	        userList+="<tr><td>"+multiAccount[i]["body"]["dlxx"][0].khxm+"</td><td>"+multiAccount[i]["body"].dlxx[0].zjzh+"</td><td class='del'></td></tr>";
	      }
	    }

	     //=======清空之前的残留数据========
	    $("#multi-user tbody").html("");
	    //===========添加用户列表===================
	    $("#multi-user tbody").append(userList);
    }
  }

}

/*====================================================================
函数功能:             用户姓名过长缩略显示
传入参数:              khxm： 客户姓名
=====================================================================*/
function handleUserNameOverFlow(khxm)
{
	//===============解析客户姓名===========================
	$(".khxm").text( khxm );

	// 客户姓名是否溢出
	setTimeout(function(){

	  if( $(".khxm").height() > 50 )
		{
			if( $(".khxm").hasClass("overflow") == false )
			{
				$(".khxm").addClass("overflow");
			}
		}

	}, 100);
}

/*========================================================
函数功能:                 资产查询
========================================================*/
function ZJCX()
{

  //============每次切换账号重新进行查询资产============================
  ajaxPost( getApiUrl() + params.ywlx+"/ptyw/zjcx",{hbdm:""},function(response){

    parseAssetsQuery(params.ywlx,response);

  },null,
  {
  	 isloaddingrun : false
  });
}

/*====================================================================
函数功能:             用户姓名过长缩略显示
传入参数:              khxm： 客户姓名
=====================================================================*/
function bindMultiUserSwitchEvent()
{

  $(".multi-user").click(function()
  {

    $(".modal").toggle();

    MultiAccountInit(params.ywlx);

    var hOut=document.documentElement.clientHeight*0.55 - $("#mult-login .modal-header").height()-$("#mult-login .modal-footer").height();

  	if($("#mult-login .modal-body").height() >= hOut )
  	{
  		$("#mult-login .modal-body").height(hOut);
  		$("#mult-login .modal-body").css({"margin":"0","width":"100%"});
  	}

  });

  $("body").on("click","#multi-user tr td.del",function(){

		removeUser(params.ywlx,$(this).parent().find("td").eq(1).text().trim() );
		$(this).parent().remove();
		$(".modal").hide();

    return false;

  });



  //=================点击了某条用户信息====================
  $("body").on("click","#multi-user tr",function(){

    // 移除选中样式
    $("#multi-user tr td.active").removeClass("active").addClass("del");

    if( $(this).children("td:last-child").hasClass("active") == false )
    {
      // 设置选中样式
      $(this).children("td:last-child").removeClass("del").addClass("active");

      handleUserNameOverFlow( $(this).find("td").eq(0).text() );

      setActiveUser(params.ywlx,$(this).find("td").eq(1).text().trim() );

      ZJCX();
      //============每次切换账号重新进行查询资产============================
      ajaxPost( getApiUrl() + params.ywlx+"/ptyw/zjcx",{hbdm:""},function(response){

        parseAssetsQuery(params.ywlx,response);

      });


    }

    $(".modal").hide();

    return false;

  });

  $(".khxm").click(function(){

    if( $(this).hasClass("overflow") )
    {
      $(this).removeClass("overflow");
    }
    else
    {
      $(this).addClass("overflow");
    }

    return false;

  });
}
/*====================================================================
函数功能:          根据选择的客户号,切换当前的活动用户信息
传入参数:            ywlx:业务类型   khbz： 客户标识
=====================================================================*/
function setActiveUser(ywlx,khbz)
{
	var AccountInfo={};
	var ActiveUser="";

	//=============读取多账号信息=================
	if( ywlx == "ptjy" )
	{
		ActiveUser="ActivePTJYUser";
		AccountInfo=JSON.parse(getLocalData("ptjyAccount"));
	}
	else if( ywlx == "rzrq" )
	{
		ActiveUser="ActiveRZRQUser";
		AccountInfo=JSON.parse(getLocalData("rzrqAccount"));
	}
	else
	{
		return ;
	}


  if(AccountInfo)
  {
  	var len=AccountInfo.length;

		for(var i=0; i<len; i++)
		{
      //=============查找与输入客户代码相对应的客户信息================
			if(trim(AccountInfo[i]["body"].dlxx[0].zjzh) == trim(khbz) )
			{
        //==========更新当前活动账户信息=================
				setLocalData(ActiveUser,AccountInfo[i]);
                setLocalData("dbphzPTJYUser",AccountInfo[i]); //担保品划转数据从新存
				break;
			}
		}
	}
}

/*====================================================================
函数功能:                       移除用户信息
传入参数:              ywlx:业务理性  khbz:客户标识
=====================================================================*/
function removeUser(ywlx,khbz)
{
	var AccountInfo={};
	var AccountType="";

	//=============读取多账号信息=================
	if( ywlx == "ptjy" )
	{
		AccountType="ptjyAccount";
		AccountInfo=JSON.parse(getLocalData("ptjyAccount"));
	}
	else if( ywlx == "rzrq" )
	{
		AccountType="rzrqAccount";
		AccountInfo=JSON.parse(getLocalData("rzrqAccount"));
	}
	else
	{
		return ;
	}

  if(AccountInfo)
  {
  	var len=AccountInfo.length;

		for(var i=0; i<len; i++)
		{
      //=============查找与输入客户代码相对应的客户信息================
			if( AccountInfo[i]["body"].dlxx[0].zjzh.trim() == khbz.trim() )
			{
        AccountInfo.splice(i,1);
        setLocalData(AccountType,AccountInfo);
				break;
			}
		}
	}

}
/*==================================================
函数功能:         页面跳转函数
==================================================*/
function jumpPage()
{
	if(getLocalData("page") == "买入" )
  {
    JumpInterface(params.viewKey.KDS_Buy,8,1);
  }
  else if( getLocalData("page") == "卖出")
  {
    JumpInterface(params.viewKey.KDS_Sell,8,1);
  }
  else if(getLocalData("page") == "撤单")
  {
    JumpInterface(params.viewKey.KDS_CheDan,0,1);
  }
  else if(getLocalData("page") == "查询")
  {
    JumpInterface(params.viewKey.KDS_Query,8,1);
  }
  else if(getLocalData("page") == "银证转账")
  {
    JumpInterface(params.viewKey.KDS_SM_YZZZ,0,1);
  }
  else if(getLocalData("page") == "资金调度")
  {
    JumpInterface(params.viewKey.KDS_PTJY_ZJDD,0,1);
  }
  else if(getLocalData("page") == "新股申购")
  {
    JumpInterface(params.viewKey.KDS_SM_XGSG,0,1);
  }
  else if(getLocalData("page") == "开放式基金")
  {
    JumpInterface(params.viewKey.KDS_KFSJJ_Index,0,8);
  }
  else if(getLocalData("page") == "ETF基金")
  {
    JumpInterface("etf/home/etf_login.html",0,1);
  }
  else if(getLocalData("page") == "LOF基金")
  {
    JumpInterface("etf/home/lof_login.html",0,1);
  }
  else if(getLocalData("page") == "港股通")
  {
    JumpInterface("hkstock/home/trade_header.html",0,1);
  }
  else if(getLocalData("page") == "股份转让")
  {
    JumpInterface("gfzr/home/home_index.html",0,1);
  }
  else if(getLocalData("page") == "上海报价回购")
  {
    //JumpInterface("etf/home/lof_login.html",0,1);
  }
  else if(getLocalData("page") == "深圳报价回购")
  {
    //JumpInterface("etf/home/lof_login.html",0,1);
  }
  else if(getLocalData("page") == "密码修改")
  {
    JumpInterface(params.viewKey.KDS_PTJY_XGMM,0,1);
  }

  removeLocalData("page");
}

/*=====================================================================================
函数功能:                    保存多账号信息
传入参数:    curUserInfo:当前用户信息  khdm:客户代码
======================================================================================*/
function saveMultiUserInfo(curUserInfo,khdm)
{
	var Account=[];

	if(getLocalData("ptjyMultiAccountLogin") == "true")
  {
  	var AccSort="ptjyAccount";
    removeLocalData("ptjyMultiAccountLogin");	      // 清除多账号跳转标记
  }
  else if( getLocalData("rzrqMultiAccountLogin") == "true" )
  {
  	var AccSort="rzrqAccount";
  	removeLocalData("rzrqMultiAccountLogin");
  }
  else
  {
  	return ;
  }

  Account= JSON.parse( getLocalData( AccSort ) );

	var len=Account.length;

  //=============同一账号重复则不需再次进行保存===============
  for(var i=0; i< len; i++)
  {
    if(Account[i]["body"]["dlxx"][0].khdm  == khdm )
    {
      return ;
    }
  }

  Account[len]=curUserInfo;
  //===============保存多账号=============
  setLocalData(AccSort,JSON.stringify(Account) );
}
/*=====================================================================================
函数功能:              解析用户登录信息
传入参数:   dllx:登录类型  userInfo:用户信息 khdm:客户代码 isdbphz: 是否是担保品划转
======================================================================================*/
function parseUserInfo(dllx,userInfo,khdm,isdbphz)
{

  // 跳转到担保品划转界面时,不需切换当前用户信息
  if( isdbphz )
  {
  	// 如果是太平洋版本, 就需要对融资融券中的客户号与担保品转换前登录中的客户号进行匹对, 不相同则不能进行下去
  	if(params.jybblx == "pacific")
  	{
  		if( !getLocalData("ActiveRZRQUser") )
  		{
  			return;
  		}

  		// 融通融券的登录信息
  		var activeRZRQUser = JSON.parse( getLocalData("ActiveRZRQUser") );

  		if(activeRZRQUser.body.dlxx[0].khdm != khdm)
  		{
  			showAlert("此普通交易账号不属于同一个客户");
  			return;
  		}
  	}

    setLocalData("dbphzPTJYUser",userInfo);

    setLocalData("quickJump", QUICKJUMP);

    QuickJump(getLocalData("quickJump"));

  	return;
  }


  if( dllx == "ptjy" )
  {
  	// 如果是快捷跳转中资金绑定, 就不需要将登录信息本地存储
  	if( getLocalData("quickJump") && getLocalData("quickJump") == "KDS_Bind_ZJZH")
  	{
  		setLocalData("ActivePTJYUserTmp",userInfo);
  	}
  	else
  	{
  		setLocalData("ActivePTJYUser",userInfo);
  	}
  }// 金证win版担保品划转普通账号信息与融资融券账号一致
  else if(  dllx == "rzrq" || params['jybblx'] == "jzwin" )
  {
  	setLocalData("dbphzPTJYUser",userInfo);
  	setLocalData("ActiveRZRQUser",userInfo);
  }

  //==================多账号登录=================
  if(getLocalData("ptjyMultiAccountLogin") == "true" || getLocalData("rzrqMultiAccountLogin") == "true" )
  {
    saveMultiUserInfo(userInfo,khdm);
  } //=============正常登录================
  else
  {

    if( dllx == "ptjy" )
    {
    	// 如果是快捷跳转中资金绑定, 就不需要将登录信息本地存储
	  	if( getLocalData("quickJump") && getLocalData("quickJump") == "KDS_Bind_ZJZH")
	  	{

	  	}
	  	else
	  	{
	  		setLocalData("ptjyAccount",JSON.stringify([userInfo]) );
	  	}
    }
    else if(  dllx == "rzrq" )
    {
    	setLocalData("rzrqAccount",JSON.stringify([userInfo]) );
    }

  }

  //========如果设置了快捷跳转,不经主页直接跳转到对应界面=================
  if( getLocalData("quickJump") )
  {

    QuickJump(getLocalData("quickJump"));

  }//===========正常跳转到交易主页===============
  else
  {

    if( dllx == "ptjy" )
    {
      JumpInterface(params.viewKey.KDS_PTJYIndex,0,-100);
    }
    else if( dllx == "rzrq" )
    {
      JumpInterface(params.viewKey.KDS_RZRQIndex, 0, -100);
    }

  }
}

/*====================================================================
函数功能:                主页加载用户资产信息
传入参数:             ywlx:业务类型   zjlb:资金列表
=====================================================================*/
function loadIndexAssets(ywlx,zjlb)
{
  if( ywlx == "ptjy" )
  {
    for(var i=0;i <zjlb.length;i++)
    {
    	var index=parseInt(zjlb[i].hbdm);

      $(".item").eq(index).find(".zzc").text(formatNumber(zjlb[i].zzc));
      $(".item").eq(index).find(".zsz").text(formatNumber(zjlb[i].zsz));
      $(".item").eq(index).find(".yk").text(formatNumber(zjlb[i].yk));
      $(".item").eq(index).find(".zjkys").text(formatNumber(zjlb[i].zjkys));
      $(".item").eq(index).find(".zjkqs").text(formatNumber(zjlb[i].zjkqs));
    }
    // debug the new mutiuser login with only 1 zjlb before there are 3
    if(zjlb.length < 3){
      for(var i = 0; i < 3; i++)
      {
        if(zjlb[i]) continue;
        $(".item").eq(i).find(".zzc").text("");
        $(".item").eq(i).find(".zsz").text("");
        $(".item").eq(i).find(".yk").text("");
        $(".item").eq(i).find(".zjkys").text("");
        $(".item").eq(i).find(".zjkqs").text("");
      }
    }
  }
  else if( ywlx == "rzrq" )
  {
    for(var i=0;i <zjlb.length;i++)
    {
      $("#zzc").text(formatNumber(zjlb[i].zzc));
      $("#zsz").text(formatNumber(zjlb[i].zsz));
      $("#yk").text(formatNumber(zjlb[i].yk));
      if( zjlb[i].rzrqzed )
      {
        $("#rzrqzed").text(formatNumber(zjlb[i].rzrqzed));
      }else if( zjlb[i].zed){
        $("#rzrqzed").text(formatNumber(zjlb[i].zed));
      }
      $("#zfz").text( formatNumber(zjlb[i].zfz));
      $("#zjkys").text( formatNumber(zjlb[i].zjkys) );
      $("#zjkqs").text( formatNumber(zjlb[i].zjkqs) );

      if(zjlb[i].wcdbbl){
          $("#wcdbbl").text( zjlb[i].wcdbbl );
          $(".rzrq-index .bg").css({'height':'220px'})
          controller["scope"].isDBPBLTextShow = true;
      }else{
          controller["scope"].isDBPBLTextShow = false;
      }
    }
  }
}

/*====================================================================
函数功能:   设置普通交易持仓页面用户资产信息
传入参数:       hbdm:货币代码  asset:资产信息
=====================================================================*/
function setCCCXAssets(hbdm,asset)
{
  $(".item").eq(hbdm).find(".zzc").text(formatNumber(asset.zzc) || "--");
  $(".item").eq(hbdm).find(".zsz").text(formatNumber(asset.zsz) || "--");
  $(".item").eq(hbdm).find(".yk").text(formatNumber(asset.yk)   || "--");

  if(asset.yk)
  {
    if( parseFloat(asset.yk) > 0.00 )
    {
      $(".item").eq(hbdm).find(".yk").css({"color":"#ff3434"});
    }
    else if( parseFloat(asset.yk) < 0.00 )
    {
      $(".item").eq(hbdm).find(".yk").css({"color":"#090"});
    }
  }
}
/*====================================================================
函数功能:             普通交易-持仓界面加载资产数据
@ ywlx   ---- 业务类型
@ assets ---- 资产信息
=====================================================================*/
function loadCCCXAssets(ywlx,assets)
{

  if( ywlx == 'ptjy' ){

    for(var i=0;i <assets.length;i++){
      // 如果货币代码不为空
      if( params['bz'][assets[i].hbdm] )
      {
        setCCCXAssets(assets[i].hbdm,assets[i]);
      }

    }
  }
  else if( ywlx == 'rzrq' ){

    $("#zzc").text( formatNumber(assets[0].zzc)   || "--" );
    $("#zsz").text( formatNumber(assets[0].zsz)   || "--" );
    $("#yk").text(  formatNumber(assets[0].yk)    || "--" );


    if( parseFloat( $("#yk").text() ) > 0.00 )
    {
      $("#yk").css({"color":"#ff3434"});
    }
    else if( parseFloat( $("#yk").text() ) < 0.00 )
    {
      $("#yk").css({"color":"#090"});
    }
  }

}
/*====================================================================
函数功能:                     清除历史资产查询结果
=====================================================================*/
function clearHistoryAssetsInfo()
{
  if( params.ywlx == "ptjy" )
  {
    for(var i=0;i <3;i++)
    {
      $(".item").eq(i).find(".zzc").text("");
      $(".item").eq(i).find(".zsz").text("");
      $(".item").eq(i).find(".yk").text("");
      $(".item").eq(i).find(".zjkys").text("");
      $(".item").eq(i).find(".zjkqs").text("");
    }
  }
  else if( params.ywlx == "rzrq" )
  {

    $("#zzc").text("");
    $("#zsz").text("");
    $("#yk").text("");
    $("#rzrqzed").text("");
    $("#zfz").text("");
    $("#zjkys").text("");
    $("#zjkqs").text("");

  }

}

/*====================================================================
函数功能:                      资金查询解析
传入参数:     ywlx:业务类型     response：服务器返回的资金查询结果
=====================================================================*/
function parseAssetsQuery(ywlx,response)
{

  if( response.zjlb && response.zjlb.length > 0 )
  {
    // 解析主页资产查询数据
    if( document.title.trim() == '普通交易' || document.title.trim() == '融资融券' ){

      loadIndexAssets(ywlx,response.zjlb);

    }// 加载持仓页面资产查询数据
    else if( document.title.trim() == '我的持仓' ){

      loadCCCXAssets(ywlx,response.zjlb);

    }
    else {
        if( ywlx == "ptjy" )
        {
          setLocalData("ptjyAssets",response.zjlb);
        }
        else if(  ywlx == "rzrq" )
        {
          setLocalData("rzrqAssets",response.zjlb);
        }
    }

  }

}

/*==========================================================
函数功能:             在表格点击行之后插入新行
传入参数: TableID:表格ID号  obj:当前对象  content:插入内容
==========================================================*/
function DynInsertRow(TableID,obj,content)
{

  InsertRow.curSelRowIndex=$(obj).index(); //获取单击行的序号

  //===============点击不同行才插入新行======================

  // alert(InsertRow.curSelRowIndex +"\n"+ InsertRow.prevSelRowIndex);
  //==========否则将同一行点击两次,会造成该行被删除==========
  if( InsertRow.curSelRowIndex != InsertRow.prevSelRowIndex)
  {

    //==========如果动态插入过买卖按钮行则删除之前的插入行===============

    if( $("#"+TableID+" tbody tr.moveRow").length  > 0 )
    {
      $("#"+TableID+" tbody tr.moveRow").remove();
    }

    //========在点击行之后动态插入买卖按钮行======

    $(obj).after(content);

    $(".moveRow .ptmm").show();    			// 显示买入和卖出按钮

    if( params["ywlx"] == "rzrq" )
    {

    	$(".moveRow .btn-buy").text("融资买入");
    	$(".moveRow .btn-sell").text("融券卖出");

    }
    else if( params.ywlx == "kfsjj" )
    {
      if(getLocalData("page") == "定投") {
        $(".moveRow .btn-buy").text("修改");
        $(".moveRow .btn-sell").text("撤单");
        $(".moveRow .btn-details").text("详情");
      }
      else {
        $(".moveRow .btn-buy").text("申购");
        $(".moveRow .btn-sell").text("赎回");
      }
    }

    InsertRow.prevSelRowIndex=$(obj).index(); //记录本次点击的行号

    InsertRow.isMoveRow=true;                 //标记插入了新行
  }
}

/*=================================
函数功能:  从表格中移除指定行
传入参数:     插入行ID
=================================*/
function removeRow(rowID)
{
	$(rowID).remove();
	isMoveRow=false;
}

/*============================================
函数功能:       存储列表数据
传入参数:  listName:列表名 value:添加值
=============================================*/
function setLocalListData(listName,value)
{
  var List=[];
  if( getLocalData(listName) )
  {
    List=JSON.parse(getLocalData(listName));
    var len=List.length;

    //========判断要保存的数据是否和本地已保存列表中的数据重复=======
    for(var i=0; i<len; i++)
    {
      if(List[i] == value)
      {
        return;
      }
    }

    List[len-1]=value;
  }
  else
  {
    List[0]=value;
  }

  setLocalData(listName,List);
}
/*============================================
函数功能:       清除列表中指定字段
传入参数:    listName:列表名 value:移除值
=============================================*/
function removeLocalListData(listName,value)
{
  var List=[];

  //============判断本地列表是否存在==================
  if( getLocalData(listName) )
  {

    //============解析本地变量================
    List=JSON.parse(getLocalData(listName));

    var len=List.length;

    for(var i=0; i < len; i++)
    {
      //=================删除列表中指定值=====================
      if( List[i] == value )
      {
        delete List[i];
        break;
      }
    }
  }
  else
  {
    return ;
  }

  //=================更新listName数组=====================
  setLocalData(listName,List);
}

/*======================================================
函数功能:     浮点数加法运算
======================================================*/
function add(a, b)
{
  var c, d, e;
  try
  {
    c = a.toString().split(".")[1].length;
  }
  catch (f)
  {
    c = 0;
  }

  try
  {
    d = b.toString().split(".")[1].length;

  }
  catch (f)
  {
    d = 0;
  }

  return e=Math.pow(10, Math.max(c, d)), (mul(a, e) + mul(b, e)) / e;

}
/*======================================================
函数功能:     浮点数减法运算
======================================================*/
function sub(a, b)
{
  var c, d, e;
  try
  {
    c = a.toString().split(".")[1].length;
  }
  catch (f)
  {
    c = 0;
  }

  try
  {
      d = b.toString().split(".")[1].length;
  }
  catch (f)
  {
    d = 0;
  }

  return e = Math.pow(10, Math.max(c, d)), (mul(a, e) - mul(b, e)) / e;
}
/*======================================================
函数功能:     浮点数乘法运算
======================================================*/
function mul(a, b)
{
  var c = 0,
      d = a.toString(),
      e = b.toString();
  try
  {
      c += d.split(".")[1].length;
  }
  catch (f)
  {

  }
  try
  {
      c += e.split(".")[1].length;

  }
  catch (f)
  {

  }

  return Number(d.replace(".", "")) * Number(e.replace(".", "")) / Math.pow(10, c);
}

/*===================================================================
函数功能:                    除法函数
传入参数:               a:被除数     b:除数
函数返回:                 a除以b的精确结果
====================================================================*/
function divi(a,b)
{
  var t1 = 0, t2 = 0, r1, r2;

  try
  {
    t1 = a.toString().split(".")[1].length;
  }
  catch (e)
  {

  }

  try
  {
    t2 = b.toString().split(".")[1].length;
  }
  catch (e)
  {

  }
  with (Math)
  {
      r1 = Number(a.toString().replace(".", ""));
      r2 = Number(b.toString().replace(".", ""));
      return (r1 / r2) * pow(10, t2 - t1);
  }
}

/*===================================================================
函数功能:                     自增运算
传入参数:  num：初始值 unit:最小自增单位 fixed:保留小数点位数
====================================================================*/
function Inc(num,unit,fixed)
{
  return parseFloat(add(parseFloat(num), unit)).toFixed(fixed);
}

/*===================================================================
函数功能:                     自减运算
传入参数:  num：初始值 unit:最小自减单位 fixed:保留小数点位数
====================================================================*/
function Dec(num,unit,fixed)
{
  return parseFloat(sub(parseFloat(num), unit)).toFixed(fixed);
}

/*============================================
函数功能:         计算可买卖数量
传入参数: zzc:总资产 price:价格  unit:单位
=============================================*/
function CalcKMMSL(zzc,price,unit)
{
  if(zzc != 0)
  {
    if(unit == "股")
    {
    	if( order.mmlb == "B" )
    	{
      	return ( parseInt(divi(zzc,price)/100))*100;
    	}
    	else if( order.mmlb == "S" )
    	{
      	return parseInt( divi(zzc,price) );
    	}

    }
    else if(unit == "手")
    {
      return parseInt(divi(zzc,price));
    }
  }
}

/*===================================================================
函数功能:                数字型字符串千分位转换
传入参数:               num：初始值 type:转换类型
====================================================================*/
function format(num,type)
{

  var transType=type ? type : "null";

  if(num == undefined || isNaN(num)  || num == null  || num == "" )
  {
  	if( transType == "null" )
  	{
  		return "";
  	}

  	return "--";
  }

  num = (typeof(num) == 'string') ? parseFloat(num) : num;

 	return (num + '').replace(/\d{1,3}(?=(\d{3})+(\.\d*)?$)/g, '$&,');

  // return (num.toFixed(2) + '').replace(/\d{1,3}(?=(\d{3})+(\.\d*)?$)/g, '$&,');
}
/*===================================================================
函数功能:                数字型字符串千分位转换
传入参数:               num：初始值 fixedPoint:截取小数点的位数
====================================================================*/
function formatNumber(num, fixedPoint)
{

  if(num == undefined || isNaN(num)  || num == null  || num == "" )
  {
  	return "";
  }

  fixedPoint = fixedPoint == undefined  || fixedPoint == null ? "" :fixedPoint;

  num = (typeof(num) == 'string') ? parseFloat(num) : num;

  if( fixedPoint != "" )
  {

  	return (num.toFixed(fixedPoint) + '').replace(/\d{1,3}(?=(\d{3})+(\.\d*)?$)/g, '$&,');
  }
  else
  {

  	num += "" ;

    var point=num.indexOf(".");
	  var len=num.length;

    //        数据为整型数          数据为浮点数
	  var back= (point == -1 ) ? "" : num.slice( point-len ) ;

    // 判断符号位
    var sign=num.slice(0,1);

    point = (point == -1) ? len: point;

    // 为负数,从第二位数字进行千分位转换
    var front= (sign == "-") ? num.slice( 1,point ) : num.slice( 0,point );

    sign = (sign == "-") ? sign : "";

    return sign+ (front + '').replace(/\d{1,3}(?=(\d{3})+(\.\d*)?$)/g, '$&,')+back ;
  }

}

/*===================================================================
函数功能:       先除以一万,再进行千分位转换并保留小数
传入参数:                    num：初始值
====================================================================*/
function parseFloatW(num)
{
  if(num == undefined || isNaN(num) || num == null || num == "" ) return num;

  num = parseFloat(num);

  num = num / 10000;

  var behindPoint =num.toString().split(".")[1] || "";

  var len = behindPoint.length;

  num = (num.toFixed(len) + '').replace(/\d{1,3}(?=(\d{3})+(\.\d*)?$)/g, '$&,');

  return num;
}

/*===================================================================
函数功能:                 保留指定小数位
传入参数:      num：初始值              fixed:固定小数位
====================================================================*/
function SliceFixed(num,fixed)
{
  if( num == undefined || isNaN(num) || num == null  || num == "" ) return "";

  return parseFloat(num).toFixed(fixed);
}

/*===================================================================
函数功能:                   取后4位
传入参数:                  num：初始值
====================================================================*/
function toLastFixed4(num)
{
  if( num.length >= 4 )
  {
     return num.slice(num.length - 4,num.length);
  }
  else
  {
    return num;
  }
}

/*===================================================================
函数功能: 格式化时间
传入参数: time 时间; format 格式
函数说明：只支持对时间的格式化处理
====================================================================*/
function formatTime(time, format) {
  var tmp = cutStr(time, ":", 2);
  tmp = tmp.split(":");
  if (tmp.length == 4) {
    var HH = tmp[0];
    var mm = tmp[1];
    var ss = tmp[2];
    var sss = tmp[3];
    return format.replace(/HH/g, HH).replace(/mm/g, mm).replace(/ss/g, ss).replace(/sss/g, sss);
  }
  return time;
}

/*=================================================
函数功能:  计算五档行情买卖数量的百分比
传入参数:      array:五档买卖数量
=================================================*/
function calPrecent(array,childArr)
{
  var max=0;
  var res=[];

  for(var i=0; i<array.length; i++)
  {
    var temp=parseInt( parseInt( array[i] ? array[i] : 0 ) / 100 );

    if(temp > max)
    {
    	max=temp;
    }
  }

  for(var i=0; i<childArr.length; i++)
  {

    childArr[i]=parseInt( childArr[i] ? childArr[i] : 0 );
    res[i]=parseInt( childArr[i] /max );

    if( res[i] < 2 || max == 0)
    {
    	res[i]=2;
    }

    res[i]=res[i]+"%";
  }


  return res;
}

// ==========================================================================
// 函数功能:          检查还款金额输入是否正确
// 传入参数:            obj:还款金额输入框对象
// ==========================================================================
function CheckAmount(obj)
{
    var t=/^\d+(\.\d+)?$/;

    return FormCheck(t,obj,"Amount",2);
}

// ==========================================================================
// 函数功能:          检测输入内容是否为正整数
// 传入参数:       obj:股票代码输入框对象  type:数据类型
// ==========================================================================
function CheckIsPlus(obj,type)
{
	type = type ? type : "StkCode";
  var t =/^[a-zA-Z0-9]+$/;  //判断正整数
  return FormCheck(t,obj,type,2);
}

// ==========================================================================
// 函数功能:          检测输入内容是否为数字字母组合
// 传入参数:       obj:股票代码输入框对象  type:数据类型
// ==========================================================================
function CheckIsNumChar(obj,type)
{
	type = type ? type : "StkCode";
  var t =/^[A-Z0-9a-z]{2}[0-9]*$/;
  return FormCheck(t,obj,type,2);
}
// ==========================================================================
// 函数功能:          检测数量是否为正整数
// 传入参数:    obj:数量输入框对象     mmlb:买卖方向
// ==========================================================================
function CheckVolume(obj,mmlb,zqdm)
{
		mmlb=mmlb ? mmlb : "B";

		zqdm=zqdm ? zqdm : "";

		// 国债逆回购不限制买卖数量必须为100的整数倍
  //   if(zqdm)
  //   {
		// 	if(zqdm.indexOf("1") == 0 ||  zqdm.indexOf("2") == 0 )
		// 	{
		// 		mmlb="";
		// 	}
		// }

    // 买入须为100的整数倍
    // if(mmlb == "B")
    // {
    //   var t = /^[1-9]\d*00$/;
    // }
    // else
    // {

    // 已改为客户端不对委托数量进行限制
      var t = /^[0-9]*[1-9][0-9]*$/;
    // }

    return FormCheck(t,obj,"Volume",2);
}

// ==========================================================================
// 函数功能:             判断价格是否为正实数
// 传入参数:             obj--价格输入框对象
// ==========================================================================
function CheckPrice(obj)
{
    var t=/^\d+(\.\d+)?$/;

    //=================对市价委托不进行价格校验===============
    if( trim( obj.val() ) == "市价委托" )
    {
      return true;
    }

    //==============正则对价格为0的判断不正确=================
    // if(obj.val() == "0")
    // {

    //   CustomPlaceholder(obj,"price");
    //   parentDiv.addClass('has-error');

    //   return false;
    // }

    return FormCheck(t,obj,"Price",2);
}

// ==========================================================================
// 函数功能:             判断金额格式
// 传入参数:             obj--金额
// ==========================================================================
function CheckMoney(obj)
{
  var t=/^\d+(\.\d+)?$/;
  return t.test(obj);
}

// ==========================================================================
// 函数功能:          自定义placeholder效果
// 输入参数:              文本输入框对象
// ==========================================================================
function CustomPlaceholder(obj,Type)
{
  if(Type == "StkCode")
  {
    $(obj).css({"width":"90%"});

    if(obj.val().length == 0)
    {
  		if( params.ywlx == "kfsjj" )
  		{
  			obj.attr({'placeholder':'请输入基金代码'});
  		}
  		else
  		{
  			obj.attr({'placeholder':'请输入证券代码'});
  		}
    }
    else
    {
      obj.val("");
      if( params.ywlx == "kfsjj" )
  		{
      	obj.attr({'placeholder':'输入基金代码有误'});
      }
      else
      {
      	obj.attr({'placeholder':'输入证券代码有误'});
      }
    }
  }
  else if(Type == "Price")
  {
    if(obj.val().length == 0)
    {

			if( document.title.trim() == "基金申购" )
			{
				obj.attr({'placeholder':'请输入申购金额'});
			}
			else if( document.title.trim() == "基金认购" )
			{
				obj.attr({'placeholder':'请输入认购金额'});
			}
			else if( document.title.trim() == "基金赎回" )
			{
				obj.attr({'placeholder':'请输入赎回份额'});
			}
    	 else if( document.title.trim() == "基金转换" )
			{
				obj.attr({'placeholder':'请输入转换份额'});
			}
      else
      {
      	obj.attr({'placeholder':'请输入委托价格'});
      }
    }
    else
    {

      obj.val("");

			if( document.title.trim() == "基金申购" )
			{
				obj.attr({'placeholder':'请输入正确金额'});
			}
			else if( document.title.trim() == "基金认购" )
			{
				obj.attr({'placeholder':'请输入正确金额'});
			}
			else if( document.title.trim() == "基金赎回" )
			{
				obj.attr({'placeholder':'请输入正确份额'});
			}
    	 else if( document.title.trim() == "基金转换" )
			{
				obj.attr({'placeholder':'请输入正确的转换份额'});
			}
  		else
  		{
      	obj.attr({'placeholder':'请输入正确的价格'});
  		}
    }

  }
  else if(Type == "Amount")
  {
    if(obj.val().length == 0)
    {
      obj.attr({'placeholder':'请输入还款金额'});
    }
    else
    {
      obj.attr({'placeholder':'请输入正确的还款金额'});
      obj.val("");
    }

  }
  else if(Type == "hqVolume")
  {
    if(obj.val().length == 0)
    {
      obj.attr({'placeholder':'请输入还券数量'});
    }
    else
    {
      obj.attr({'placeholder':'还券数量输入有误'});
      obj.val("");
    }
  }
  else if(Type == "Volume")
  {
  	// $(obj).css({"width":"90%"});

    if(obj.val().length == 0)
    {
      obj.attr({'placeholder':'请输入买卖数量'});
    }
    else
    {
      obj.attr({'placeholder':'输入买卖数量有误'});
      obj.val("");
    }

  }

  obj.focus();
}

// ===============================================================================
// 函数功能:                           表单检查
// 传入参数: t--正则表达式  obj:输入框对象  Type：检查类型 parentLevel:父Div层级
// ===============================================================================
function FormCheck(t,obj,Type,parentLevel)
{
  var parentDiv;

  if(parentLevel == 2)
  {
    parentDiv=obj.parent().parent();
  }
  else if(parentLevel == 3)
  {
    parentDiv=obj.parent().parent().parent();
  }

  //========正则校验不通过==============
  if ( !t.test( obj.val() ) )
  {

    // if(parentDiv.hasClass('has-success'))
    // {
    //   parentDiv.removeClass('has-success')
    // }

    //=========设置错误状态提示语==============
    CustomPlaceholder(obj,Type);

    //=====在父div上添加告警样式 =============
    parentDiv.addClass('has-error');

    //========将焦点转移到出错的div上===========
    parentDiv.focus();

    return false;
  }
  else
  {

    if(parentDiv.hasClass('has-error'))
    {
      parentDiv.removeClass('has-error')
    }

    // parentDiv.addClass('has-success');

    return true;
  }
}

// ===============================================================================
// 函数功能:               每隔step位,向源字符串插入一个字符addChar （此）
// 传入参数:       srcStr:源字符串    addChar：插入字符   step: 间隔位数  nottime: 非时间数据(默认：false, 当作时间处理)
// ===============================================================================
function cutStr(srcStr, addChar, step, nottime) {
  if (!srcStr) {
    return "--";
  } else {
    nottime = nottime == undefined ? false : nottime;

    if (!nottime) {
      // 补位处理, 如果时间数据不是偶数, 就在前加一个 "0"
      srcStr = srcStr.length % 2 == 1 ? "0" + srcStr : srcStr;
    }

    var strArray = srcStr.split("");
    var newStr = new Array(srcStr.length + parseInt(srcStr.length / 2));

    newStr[newStr.length - 1] = strArray[strArray.length - 1];

    var currentIndex = strArray.length - 1;

    for (var i = newStr.length - 1; i >= 0; i--) {
      if ((newStr.length - i) % 3 == 0 && i != 0) {
        newStr[i] = addChar;
      } else {
        newStr[i] = strArray[currentIndex--];
      }
    }
    return newStr.join("");
  }
}

// ===============================================================================
// 函数功能:                 表格无数据时显示提示信息
// 传入参数:    info:无记录提示信息   cols:列数 tableID:表格ID
// ===============================================================================
function NoRecordNote(info,cols,tableID)
{
	tableID=tableID ? tableID : ".table";
  $(tableID+" tbody").append("<tr class='no-record'> <td colspan='"+cols+"'>"+info+"</td></tr>");
}

// ===============================================================================
// 函数功能:                    获取定位串
// 传入参数:     response:服务器返回数据  len:长度  type：查询类型
// ===============================================================================
function getDWC(response,len,type)
{

  // 相同的查询类型,用所在页面的URL进行区分
	if( params.ywlx == "ptjy" )
	{
		if( type== "cccx" )
		{
			query.ptjy_cccxdwc=response[len-1].dwc;
		}
		else if( type == "drcjcx" )
		{
			query.ptjy_drcjcxdwc=response[len-1].dwc;
		}
		else if( type == "mcjcx" )
		{
			query.ptjy_mcjcxdwc=response[len-1].dwc;
		}
		else if( type == "lscjcx" )
		{
			query.ptjy_lscjcxdwc=response[len-1].dwc;
		}
		else if( type == "drwtcx" )
		{
			query.ptjy_drwtcxdwc=response[len-1].dwc;
		}
		else if( type == "mwtcx" )
		{
			query.ptjy_mwtcxdwc=response[len-1].dwc;
		}
		else if( type == "lswtcx" )
		{
			query.ptjy_lswtcxdwc=response[len-1].dwc;
		}
		else if( type == "kcdwtcx" )
		{
			query.ptjy_kcdwtcxdwc=response[len-1].dwc;
		}
		else if( type == "drzjlscx" )
		{
			query.ptjy_drzjlscxdwc=response[len-1].dwc;
		}
		else if( type == "mzjlscx" )
		{
			query.ptjy_mzjlscxdwc=response[len-1].dwc;
		}
		else if( type == "lszjlscx" )
		{
			query.ptjy_lszjlscxdwc=response[len-1].dwc;
		}
	}
	else if( params.ywlx == "rzrq" )
	{
		if( type== "cccx" )
		{
			query.rzrq_cccxdwc=response[len-1].dwc;
		}
		else if( type == "drcjcx" )
		{
			query.rzrq_drcjcxdwc=response[len-1].dwc;
		}
		else if( type == "mcjcx" )
		{
			query.rzrq_mcjcxdwc=response[len-1].dwc;
		}
		else if( type == "lscjcx" )
		{
			query.rzrq_lscjcxdwc=response[len-1].dwc;
		}
		else if( type == "drwtcx" )
		{
			query.rzrq_drwtcxdwc=response[len-1].dwc;
		}
		else if( type == "mwtcx" )
		{
			query.rzrq_mwtcxdwc=response[len-1].dwc;
		}
		else if( type == "lswtcx" )
		{
			query.rzrq_lswtcxdwc=response[len-1].dwc;
		}
		else if( type == "kcdwtcx" )
		{
			query.rzrq_kcdwtcxdwc=response[len-1].dwc;
		}
		else if( type == "drzjlscx" )
		{
			query.rzrq_drzjlscxdwc=response[len-1].dwc;
		}
		else if( type == "mzjlscx" )
		{
			query.rzrq_mzjlscxdwc=response[len-1].dwc;
		}
		else if( type == "lszjlscx" )
		{
			query.rzrq_lszjlscxdwc=response[len-1].dwc;
		}// 已了结合约定位串
		else if( type == "ypchycx" )
		{
			query.rzrq_ypchycxdwc=response[len-1].dwc;
		}// 未了结合约定位串
		else if( type == "wpchycx" )
		{
			query.rzrq_wpchycxdwc=response[len-1].dwc;
		}// 融券负债明细查询定位串
		else if( type == "rqfzmxcx" )
		{
			query.rzrq_rqfzmxcxdwc=response[len-1].dwc;
		}// 融资负债明细查询定位串
		else if( type == "rzfzmxcx" )
		{
			query.rzrq_rzfzmxcxdwc=response[len-1].dwc;
		}// 融券标的证券查询定位串
		else if(type == "rqbdzqcx" )
		{
			query.rzrq_rqbdzqcxdwc=response[len-1].dwc;
		}// 融资标的证券查询定位串
		else if( type == "rzbdzqcx" )
		{
			query.rzrq_rzbdzqcxdwc=response[len-1].dwc;
		}// 担保品证券查询定位串
		// else if( type == "dbpzqcx" )
		// {
		// 	query.rzrq_dbpzqcxdwc=response[len-1].dwc;
		// }// 普通转信用持仓查询定位串
		else if( type == "ptzxycccx" )
		{
			query.rzrq_dbphz_ptzxydwc=response[len-1].dwc;
		}// 信用转普通持仓查询定位串
		else if( type == "xyzptcccx" )
		{
			query.rzrq_dbpzq_xyzptdwc=response[len-1].dwc;
		}// 现券还券查询定位串
		else if( type == "xqhq")
		{
			query.rzrq_xqhqdwc=response[len-1].dwc;
		}
	}
	else if( params.ywlx == "kfsjj" )
	{
		if( type == "jjkcdwtcx" )
		{
			kfsjjChaChe.jjkcdwtcxdwc=response[len-1].dwc;
		}
		else if( type == "jjfecx" )
		{
			kfsjjChaChe.jjfecxdwc=response[len-1].dwc;
		}
		else if( type == "jjdrwtcx" )
		{
			kfsjjChaChe.jjdrwtcxdwc=response[len-1].dwc;
		}
		else if( type == "jjmwtcx" )
		{
			kfsjjChaChe.jjmwtcxdwc=response[len-1].dwc;
		}
		else if( type == "jjlswtcx" )
		{
			kfsjjChaChe.jjlswtcxdwc=response[len-1].dwc;
		}
		else if( type == "jjdrcjcx" )
		{
			kfsjjChaChe.jjdrcjcxdwc=response[len-1].dwc;
		}
		else if( type == "jjmcjcx" )
		{
			kfsjjChaChe.jjmcjcxdwc=response[len-1].dwc;
		}
		else if( type == "jjlscjcx" )
		{
			kfsjjChaChe.jjlscjcxdwc=response[len-1].dwc;
		}
		else if( type == "krgjjxxcx" )
		{
			kfsjjChaChe.krgjjxxcxdwc=response[len-1].dwc;
		}
		else if( type == "ksgjjxxcx" )
		{
			kfsjjChaChe.ksgjjxxcxdwc=response[len-1].dwc;
		}
		else if( type == "kshjjxxcx" )
		{
			kfsjjChaChe.kshjjxxcxdwc=response[len-1].dwc;
		}
		else if( type == "jjxxcx" )
		{
			kfsjjChaChe.jjxxcxdwc=response[len-1].dwc;
		}
	}
}

// ===============================================================================
// 函数功能:                 按照原始数据解析服务器返回的内容
// 传入参数:     servData:服务器返回数据  colNames:表格列名  type：接口类型
//                 isIscrollQuery:是否为Iscroll控件发起的查询
// ===============================================================================
function FollowOriginalDataParse(servData,colNames,type,isIscrollQuery)
{
  var list=[];
  var len=0;

  isIscrollQuery = isIscrollQuery ? isIscrollQuery : "NormalQuery";

  // 如果存在无数据提示语,则删除
  if($(".table tbody .no-record").length > 0)
  {
    $(".table tbody .no-record").remove();
  }

  //==================持仓查询=====================
  if( type== "cccx")
  {
    var response=servData.cclb;

  }//==================融券/融资 标的证券 已了结合约查询=====================
  else if(
  	        type == "rqbdzqcx"  ||  type == "rzbdzqcx"  ||  type == "dbpzqcx"   ||

  					type =="jjxxcx"     || type == "ksgjjxxcx"  ||  type == "krgjjxxcx" ||

  					type =="jjdrwtcx"   ||  type =="jjmwtcx"    ||  type =="jjlswtcx"   ||

  					type =="jjdrcjcx"   ||  type =="jjmcjcx"    ||  type =="jjlscjcx"   ||

  					type == "jjfecx"    ||  type == "jjgscx"    ||  type == "jjkcdwtcx" ||

  					type == "jjzhcx"    ||  type == "rqfzcx"    ||  type == "kshjjxxcx"

   )
  {
    var response=servData.cxlb;
  }
  else
  {
    return false;
  }


  if(response.length == 0)
  {

	  if( isIscrollQuery == "ScrollQuery" )
	  {
	  	return false;
	  }

    if( type== "cccx")
    {
      NoRecordNote("您没有持仓记录!",3,"#position");
    }
    else if( type == "rqbdzqcx" )
    {
      NoRecordNote("未查询到融券标的证券!",3);
    }
    else if( type == "rzbdzqcx" )
    {
      NoRecordNote("未查询到融资标的证券!",3);
    }
    else if( type == "dbpzqcx" )
    {
      NoRecordNote("未查询到担保品标的证券!",3);
    }
    else if( type == "jjkcdwtcx" )
    {
			NoRecordNote("你没有可撤单委托记录!",4);
    }
    else if( type == "krgjjxxcx" )
    {
    	NoRecordNote("没有可认购基金记录!",3);
    }
    else if( type == "ksgjjxxcx" )
    {
     	NoRecordNote("没有可申购基金记录!",3);
    }
    else if( type =="jjxxcx" )
    {
    	NoRecordNote("没有基金记录!",4);
    }
    else if( type == "jjfecx" || type == "kshjjxxcx" )
    {
     	NoRecordNote("你今天没有基金持仓记录!",4);
    }
    else if( type == "jjzhcx" )
    {
    	NoRecordNote("你没有基金账户记录!",4);
    }
    else if( type =="jjdrwtcx" )
    {
    	NoRecordNote("你今天没有基金委托记录!",4);
    }
    else if( type =="jjmwtcx" )
    {
    	NoRecordNote("你这个月没有基金委托记录!",4);
    }
    else if( type =="jjlswtcx" )
    {
    	NoRecordNote("你半年内没有基金委托记录!",4);
    }
    else if( type =="jjdrcjcx" )
    {

    	NoRecordNote("你今天没有基金成交记录!",4);

    }
    else if( type =="jjmcjcx" )
    {
    	NoRecordNote("你这个月没有基金成交记录!",4);
    }
    else if( type =="jjlscjcx" )
    {
    	NoRecordNote("你半年内没有基金成交记录!",4);
    }
    else if( type == "rqfzcx" )
    {
    	NoRecordNote("你没有应还券记录!",3);
    }

    return true;
  }



    len=response.length;

	if( type == "rqbdzqcx" || type == "rzbdzqcx" || type == "dbpzqcx" )
	{
		// 由于标的证券是三个界面复用,为处理方便,每个表格不足六列都补充为6列
		// 赋值时将补充的列填充为空
		var tbodyKey=["key1","key2","key3","key4","key5","key6"];

	  for(var i=0; i<len;i++)
	  {
	    var row={};

	    for(var j=0 ; j < colNames.length; j++)
	    {
	      row[ tbodyKey[j] ]=dataFilter( { name:colNames[j], value: response[i][ colNames[j] ] } );
	    }

	    // 融资融券标的证券 表格第四个列名后被裁剪掉
		  if(  type == "rzbdzqcx" || type == "rqbdzqcx" )
			{

			  row[ "key4" ]="";
			}// 担保品标的证券 表格第五个列名后被裁剪掉
			else if( type == "dbpzqcx" )
			{
        response[i].rqztsm ? "" : row[ "key4" ] ='';
				row[ "key5" ]="";
			}

	    list[i]=row;

	  }

	}
	else if(
			type == "cccx"      ||   type == "jjgscx"     ||  type == "jjzhcx"     ||
			type == "jjxxcx"    ||   type == "jjkcdwtcx"  ||  type == "krgjjxxcx"  ||
			type == "jjdrwtcx"   ||  type == "jjmwtcx"    ||  type == "jjlswtcx"   ||
			type == "jjdrcjcx"   ||  type == "jjmcjcx"    ||  type == "jjlscjcx"   ||
			type == "ksgjjxxcx"  ||  type == "jjfecx"     ||  type == "rqfzcx"     ||
			type == "kshjjxxcx"
	 )
	{
	  for(var i=0; i<len;i++)
	  {
	    var row={};

	    for(var j=0 ; j< colNames.length; j++)
	    {
	      row[j]=dataFilter( { name:colNames[j], value: response[i][ colNames[j] ] } );
	    }

      if( type =="jjxxcx" )
      {
      	if( row[6] == "0" )
      	{
      		row[5]="申购";
      		row[6]="btn-red";
      	}
      	else if( row[6] == "1" )
      	{
      		row[5]="认购";
      		row[6]="btn-yellow";
      	}
      	else
      	{
      		row[6]="btn-gray";
      	}

      }
      else if( type == "jjfecx" )
	    {
	    	if( parseFloat(row[6]) > 0.00 )
	    	{
	    		row[8]="red-color";
	    	}
	    	else if( parseFloat(row[6]) < 0.00 )
	    	{
	    		row[8]="green-color";
	    	}
	    	else
	    	{
	    		row[8]="";
	    	}
	    }

	    list[i]=row;

	  }
	}
	else
	{
		return true;
	}


	loadMoreContent(response,len,type);

  return list;
}
// ===============================================================================
// 函数功能:                    填充组合数据表格
// 传入参数: serData:服务器返回数据  colNames:解析字段数组  type：查询类型
//           isIscrollQuery:是否为Iscroll控件发起的查询
// ===============================================================================
function ResealServerFeedbackData(servData,colNames,type,isIscrollQuery)
{

  var list=[];
  var len=0;

  isIscrollQuery = isIscrollQuery ? isIscrollQuery : "NormalQuery";

  //==========当日资金流水查询可能没有记录,但近一月,近半年可能有查询记录=======
  //====由于这几种查询共用一个表格,所以如果存在查询记录时,应移除无记录提示语===
  if($(".table tbody .no-record").length > 0)
  {
    $(".table tbody .no-record").remove();
  }

	//==================持仓查询=====================
  if( type== "cccx" || type== "xqhq" || type== "ptzxycccx" || type== "xyzptcccx")
  {

    var response=servData.cclb;

  }//==================成交-委托-可委托撤单 资金流水查询=====================
  else if( type == "drcjcx" || type == "mcjcx" || type == "lscjcx" ||

           type == "drwtcx" || type == "mwtcx" || type == "lswtcx"  ||

           type == "kcdwtcx" || type == "drzjlscx" || type == "mzjlscx" ||

           type == "lszjlscx" || type == "ypchycx"  || type == "wpchycx" ||

           type == "rzfzmxcx" || type == "rqfzmxcx")
  {
    var response=servData.cxlb;
  }
  else
  {
    return ;
  }

  //===============不同类型的查询解析内容为空进行不同的提示==================
  if(response.length == 0)
  {

  	if( isIscrollQuery == "ScrollQuery" )
	  {
	  	return "";
	  }

	  // 不加延时,提示语不显示
		setTimeout(function(){

	    if( type== "cccx" || type== "xqhq" || type== "ptzxycccx" || type== "xyzptcccx" )
	    {
	      NoRecordNote("您没有持仓记录!",4,"#position");
	    }
	    else if(type == "kcdwtcx")
	    {
	      NoRecordNote("您今天没有委托或撤单记录!",4);
	    }
	    else if( type== "drcjcx")
	    {
	      NoRecordNote("您今天没有成交记录!",4);
	    }
	    else if(type== "mcjcx")
	    {
	      NoRecordNote("您这个月没有成交记录!",4);
	    }
	    else if(type== "lscjcx")
	    {
	      NoRecordNote("您半年内没有成交记录!",4);
	    }
	    else if( type== "drwtcx")
	    {
	      NoRecordNote("您今天没有委托记录!",4);
	    }
	    else if(type== "mwtcx")
	    {
	      NoRecordNote("您这个月没有委托记录!",4);
	    }
	    else if(type== "lswtcx")
	    {
	      NoRecordNote("您半年内没有委托记录!",4);
	    }
	    else if(type == "drzjlscx")
	    {
	      NoRecordNote("您今天没有资金流水记录!",4);
	    }
	    else if(type == "mzjlscx")
	    {
	      NoRecordNote("您这个月没有资金流水记录!",4);
	    }
	    else if(type == "lszjlscx")
	    {
	      NoRecordNote("您半年内没有资金流水记录!",4);
	    }
	    else if( type == "ypchycx")
	    {
	      NoRecordNote("您没有已了结合约记录!",4);
	    }
	    else if( type == "wpchycx")
	    {
	      NoRecordNote("您没有未了结合约记录!",4);
	    }
	    else if( type == "rzfzmxcx")
	    {
	 			NoRecordNote("您没有融资负债记录!",4);
	    }
	    else if( type == "rqfzmxcx" )
	    {
	 			NoRecordNote("您没有融券负债记录!",4);
	    }

  },100);

    return ;
  }


  //=============解析内容不为空则根据查询类型进行遍历解析===============
  for(var i=0,len=response.length; i<len;i++)
  {

    var j=0;      //索引解析字段
    var row={};   //保存行记录

    //=================根据买卖类型设置成交、委托、资金流水、可查询每行字体颜色===================
    //================根据买卖类型设置 -查询每行字体颜色==================
    //============根据买卖类型设置资金流水查询 可撤单委托每行字体颜色=========
   if(

      type== "drcjcx"    || type== "mcjcx"   || type== "lscjcx"   ||

      type== "drwtcx"    || type== "mwtcx"   || type== "lswtcx"   ||

      type== "drzjlscx"  || type== "mzjlscx" || type== "lszjlscx" ||

      type == "kcdwtcx"

    )
    {
      //========设置买入记录颜色=========================
      if(response[i].mmlb == "B")
      {
        row['color']="buy-color";

      }//========设置卖出记录颜色========================
      else if(response[i].mmlb == "S")
      {
        row['color']="sell-color";
      }
      else
      {
        row['color']="";
      }

    }//============根据盈亏设置持仓查询每行字体颜色=========
    else if( type== "cccx" || type== "xqhq" || type== "ptzxycccx" || type== "xyzptcccx" )
    {

      //========设置红色=========================
      if(response[i].yk > "0.00")
      {
        row['color']="buy-color";

      }//========设置蓝色========================
      else if(response[i].yk < "0.00")
      {
        row['color']="green-color";
      }//===========保存默认设置颜色===============
      else
      {
        row['color']="";
      }

    }

    row["key1"]=dataFilter( { name:colNames[j], value: response[i][ colNames[j] ] } );
    j++;

    if( type == "kcdwtcx" )
    {
    	// 将可撤单委托查询 时间格式转换为HH:MM:SS
    	row["key2"]=cutStr(response[i][ colNames[j++] ],":",2);
    }
    else
    {
	    row["key2"]=dataFilter( { name:colNames[j], value: response[i][ colNames[j] ] } );
	    j++;
    }



    //===========成交和委托查询 列名状态显示内容是由mmztsm+wtztsm两个字段拼接而成================
    if(
    	  type == "drcjcx" || type == "mcjcx" || type == "lscjcx"  ||
    	  type == "drwtcx" || type == "mwtcx" || type == "lswtcx"
    	)
    {

    	var mmlb=dataFilter( { name:colNames[j], value: response[i][ colNames[j] ] } );
    	j++;
    	var fxsm=dataFilter( { name:colNames[j], value: response[i][ colNames[j] ] } );
      fxsm = fxsm == "--" ? "" : fxsm;
    	j++;
      row["key3"]=mmlb + fxsm ;

    }//===========持仓查询--股票市值需要进行千分位转化==================
    else if( type== "cccx" || type== "xqhq" || type== "ptzxycccx" || type== "xyzptcccx" )
    {
      row["key3"]=formatNumber(response[i][ colNames[j++] ] ) || "--" ;
    }
    else
    {
      row["key3"]=dataFilter( { name:colNames[j], value: response[i][ colNames[j] ] } ) ;
    	j++;
    }

		if( type== "drcjcx" || type == "drwtcx" || type== "drzjlscx" )
		{
			// 当日委托 成交 资金流水查询 显示时间格式为HH:MM:SS
			row["key4"]=cutStr(response[i][ colNames[j++] ],":",2);
		}
		else if(

							type == "mwtcx" || type == "lswtcx"  || type == "mcjcx" ||
							type== "lscjcx" || type == "mzjlscx" || type == "lszjlscx"
			      )
    {
    	// 历史委托 成交 资金流水查询 显示时间格式为 MMDD HH:MM
			var MMDD=response[i][ colNames[j] ] ? response[i][ colNames[j] ].substr(4,4) : "--" ;
			j++;

			// 先补零，再将HHMMSS转换成HH:MM:SS，再取出前5位 HH:MM
			var HHMM=cutStr(response[i][ colNames[j++] ],":",2).substr(0,5);

			row["key4"]=  MMDD+" "+HHMM;

		}
		else if( type== "cccx" || type== "xqhq" || type== "ptzxycccx" || type== "xyzptcccx" )
    {

      row["key4"]=formatNumber(response[i][ colNames[j++] ]) || "--" ;

        if(row["key4"] != "--")
        {
            row["key4"]=row["key4"]+"%";
        }

    }
	else
	{
	    row["key4"]=dataFilter( { name:colNames[j], value: response[i][ colNames[j] ] } ) ;
	    j++;
	}


    //===========资金流水查询 发生/成交 金额 和持仓查询 持仓/可用数量 需进行千分位转换==
    if(
    	 type== "lszjlscx"  || type== "drzjlscx" || type== "mzjlscx" ||

    		type== "drcjcx" || type == "mcjcx"  ||  type == "lscjcx" ||

	    	type == "drwtcx" || type == "mwtcx" || type == "lswtcx"  ||

	    	type== "cccx" || type== "xqhq" || type== "ptzxycccx" || type== "xyzptcccx"

    	)
    {
      row["key5"]=formatNumber(response[i][ colNames[j++] ] ) ||  "--";
    }
    else
    {
      row["key5"]=dataFilter( { name:colNames[j], value: response[i][ colNames[j] ] } ) ;
      j++;

    }

    if(

    		type== "drcjcx" || type == "mcjcx"  ||  type == "lscjcx" ||

	    	type == "drwtcx" || type == "mwtcx" || type == "lswtcx"  ||

	    	type== "cccx" || type== "xqhq" || type== "ptzxycccx" || type== "xyzptcccx"
	    )
	   {
	   	  row["key6"]=formatNumber(response[i][ colNames[j++] ] ) ||  "--";
	   }
	   else
	   {
	    	row["key6"]=dataFilter( { name:colNames[j], value: response[i][ colNames[j] ] } ) ;
      	j++;
	   }

    if(
    	 	type== "lszjlscx"  || type== "drzjlscx" || type== "mzjlscx" ||

    		type== "cccx" || type== "xqhq" || type== "ptzxycccx" || type== "xyzptcccx" ||

    		type== "drcjcx"  || type == "mcjcx"  ||  type == "lscjcx" ||

	    	type == "drwtcx" || type == "mwtcx"  || type == "lswtcx"
	    )
    {

    	row["key7"]=formatNumber( response[i][ colNames[j++] ] ) || "--" ;

    }
    else
    {
    	row["key7"]=dataFilter( { name:colNames[j], value: response[i][ colNames[j] ] } ) ;
    	j++;
    }

    if(
    		type== "cccx" || type== "cccx" || type== "xqhq" ||

    		type== "ptzxycccx" || type== "xyzptcccx" ||

    	  type== "drcjcx"  || type == "mcjcx"  ||  type == "lscjcx" ||

	    	type == "drwtcx" || type == "mwtcx"  || type == "lswtcx"
	    )
    {
    	row["key8"]=formatNumber(response[i][ colNames[j++] ] ) || "--" ;
    }
    else
    {
    	row["key8"]=dataFilter( { name:colNames[j], value: response[i][ colNames[j] ] } ) ;
    	j++;
    }

    if( type == "kcdwtcx" )
    {
    	row["key9"]=response[i][ colNames[j++] ];
    	row["key10"]=response[i][ colNames[j++] ];
    	row["key11"]=response[i][ colNames[j++] ];
    }
    else if( type == "cccx" ){
      row["key9"]=response[i][ colNames[j++] ];
    }

    // 成交查询 委托价格 委托数量字段
    if( type== "drcjcx"  || type == "mcjcx"  ||  type == "lscjcx" )
    {
    	row["key5"]=" ";
    	row["key7"]=" ";
    }// 资金流水查询 去掉成交额字段
    // else if( type== "lszjlscx"  || type== "drzjlscx" || type== "mzjlscx" )
    // {
    // 	row["key6"]="";
    // }

    list[i]=row;      // 保存每行解析内容
  }

	loadMoreContent(response,len,type);

  return list;

}

//===========================================================
// 函数功能:      检测列名和列值是否存在
// 传入参数:          col: 列对象
//==========================================================
function dataFilter(col)
{
	if(col["name"] == undefined || !col["name"])
	{
		return "--";
	}
	else
	{
		return col["value"] ? col["value"] : "--";
	}
}

//===========================================================
// 函数功能:         加载更多内容
// 传入参数:  response:服务器返回 len:数组长度 type:查询内容
//==========================================================
function loadMoreContent(response,len,type)
{
	getDWC(response,len,type);
}

//======================================================
// 函数功能:         无数据时刷新提示
// 传入参数:   callback:回调函数 tbody:服务器返回数据
// 函数返回:        true:有数据 false：无数据
//======================================================
function refreshNote(tbody)
{
	tbody= tbody?tbody:"";

	if( tbody == "ScrollQuery" || !tbody)
  {
    return false;
  }

  return true;
}

//======================================================
// 函数功能:      移除jQuery方式追加的内容
//======================================================
function removejQueryAppendContent(selector)
{
	selector=selector? selector : ".scroll-area";
	$(selector+" .table-hover.table tbody tr:not(.ng-scope)").remove();
}

/*=================================================================
函数功能:              计算可滚动区域的高度
传入参数:          selector:界面可滚动区域选择器
==================================================================*/
/*=================================================================
函数功能:              计算可滚动区域的高度
传入参数:          selector:界面可滚动区域选择器
==================================================================*/
function calcScrollAreaHeight(selector)
{
	var nDivHight=document.documentElement.clientHeight -$(selector).offset().top;

	if( $("footer").length > 0 )
  {
    nDivHight=nDivHight-$("footer").height();
  }

  $(selector).height(nDivHight);

}

/*=================================================================
函数功能:               绑定加载更多内容事件
==================================================================*/
function bindLoadMoreContentEvent()
{

  var nScrollHight = 0;    //滚动距离总长(注意不是滚动条的长度)
  var nScrollTop = 0;      //滚动到的当前位置
  var nDivHight=0;         //滚动区域的固定高度
  var selector;            //界面可滚动区域选择器

  // 同一个界面中有多个滚动区域
  if( $(".scroll-area.active").length > 0 )
  {
    selector=".active.scroll-area";
  } // 同一个界面中只有一个滚动区域
  else if( $(".scroll-area").length > 0 )
  {
    selector=".scroll-area";
  }// 同一个页面有两种不同的滚动区域
  else if( $(".jjxx .scrollTable").length > 0 )
  {
    selector=".jjxx .scrollTable";
  }
  else
  {
    return ;
  }

  nDivHight=document.documentElement.clientHeight -$(selector).offset().top;

  if( $("footer").length > 0 )
  {
    nDivHight=nDivHight-$("footer").height();
  }

  $(selector).height(nDivHight);

  // 防止事件重复绑定
  $(selector).unbind('scroll');

  $(selector).bind('scroll',function(event){

    nScrollHight = $(this)[0].scrollHeight;

    nScrollTop = $(this)[0].scrollTop;

    if( nScrollTop == (nScrollHight-nDivHight) && (nScrollHight != nDivHight) )
    {

      // console.log("nScrollHight="+nScrollHight,"nScrollTop="+nScrollTop,"nDivHight="+nDivHight);

      scrollLoadMoreContent();

      return false;
    }

  });

}

//======================================================
// 函数功能:      跳转到持仓界面
//======================================================
function JumpPositionPage()
{

  if($("body").hasClass("rzrq-index") == true)
  {
    JumpInterface(params.viewKey.KDS_RZRQ_CCCX,0,1);
  }
  else
  {
    JumpInterface(params.viewKey.KDS_SM_CCQuery,0,1);
  }

  return false;
}

//===============保存控制器传入方法和参数====================

var controller = {
										rootScope   : "" ,  // 全局作用域
										scope       : "" ,  // 控制器作用域
										http        : "" ,  // http 通信内置方法
										compile     : ""   // angularJS 内置编译方法
									};

/*====================================================================
函数功能:         保存angularJS控制器的内置方法
====================================================================*/
function getControllerMethod($rootScope, $scope, $http,$compile)
{
  controller["rootScope"]=$rootScope;
  controller["scope"]=$scope;
  controller["http"]=$http;
  controller["compile"]=$compile;
}

/*======================================================
函数功能：    点击按钮,实现页面跳转
传入参数:          obj: 按钮对象
======================================================*/
function BtnPageJump(obj)
{
  var pageValue = $(obj).text();

  setLocalData("page", pageValue);

  // 普通交易和融资融券界面的按钮名称都是持仓,
  // 所以要根据body中设置的样式名进行区分
  if(getLocalData("page") == "持仓")
  {
		JumpPositionPage();
  }
  else if(
  					getLocalData("page") == "买入"      ||  getLocalData("page") == "卖出" ||
  				  getLocalData("page") == "融资买入"  ||  getLocalData("page") == "融券卖出"
  				)
  {

    //============================保存证券代码======================================
    setLocalData("zqdm",$(".moveRow").prev().find("td").eq(3).find("p.zqdm").text());

    //====清除动态插入的行记录====================
  	removeRow(".moveRow");

		InsertRow.prevSelRowIndex=undefined;
    //===============进行界面跳转===================
    if( getLocalData("page") == "买入" )
	  {
			JumpInterface(params.viewKey.KDS_Buy,8,1);
	  }
    else if( getLocalData("page") == "卖出" )
	  {
			JumpInterface(params.viewKey.KDS_Sell,8,1);
	  }
    else if( getLocalData("page") == "融资买入" )
    {
      JumpInterface(params.viewKey.KDS_RZRQ_RZMR,8,1);
    }
    else if( getLocalData("page") == "融券卖出" )
    {
      JumpInterface(params.viewKey.KDS_RZRQ_RQMC,8,1);
    }
  }
  else if( getLocalData("page") == "申购" || getLocalData("page") == "赎回" )
  {
  	var param={};

  	param.jjmc=$(".moveRow").prev().find("td").find("p").eq(0).text();
    param.jjdm=$(".moveRow").prev().find("td").find("p").eq(1).text();
    param.jjgsdm=$(".moveRow").prev().find("td").find("p").eq(7).text();
    setLocalData("jjgsdm",param);

    //====清除动态插入的行记录====================
  	removeRow(".moveRow");

		InsertRow.prevSelRowIndex=undefined;

	  if( getLocalData("page") == "申购" )
		{
			JumpInterface(params.viewKey.KDS_KFSJJ_JJSG,0,1);
		}
		else if( getLocalData("page") == "赎回" )
		{
			JumpInterface(params.viewKey.KDS_KFSJJ_JJSH,0,1);
		}
	}

  return false;

}
//===============================
// 函数功能: 恢复登录锁定
//===============================
$(window).load(function()
{
	RestoreTimeOut();
});

