var app = angular.module('dbls', []);

app.controller('dblsController', function($rootScope, $scope, $http)
{
	//请求参数
	var request = {qsrq:"",zzrq:""};

	//tab选项卡的索引值
	var tab_index = 0;

	//没有调拨流水,页面显示的提示信息
	var isEmpty_msg = ["您今天没有调拨流水记录","您这个月没有调拨流水记录","您半年内没有调拨流水记录"];

	loading("drzjhblscx");

	/*======================================
		页面列表数据动态加载
	======================================*/
	function loading(businessName)
	{
		// 当日资金划拨流水查询
		if(businessName == "drzjhblscx")
		{
			request = { cxfx: "1", qqhs: "999", dwc: "" };
			var lastUrl = "ptjy/yzzz/drzjhblscx";
		}
		// 历史资金划拨流水查询
		else if(businessName == "lszjhblscx")
		{
			var lastUrl = "ptjy/yzzz/lszjhblscx";
		}
		else
		{
			return;
		}
		
		$scope.hide_cls = false;

		ajaxPost(getApiUrl()+lastUrl,request,function(response)
		{
			if(response.cxlb == undefined || response.cxlb.length == 0 )
			{
				$scope.IsEmpty  = isEmpty_msg[tab_index];
				$scope.hide_cls = true;
			}

			// 对返回数据中的列表数据进行非空处理
			formatResponseData(response);

			for(var i in response.cxlb)
			{
				response.cxlb[i].zzje = formatNumber(response.cxlb[i].zzje);
				response.cxlb[i]['zjzh'] = response.cxlb[i].ywmc == "--" || response.cxlb[i].ywmc == "调入" ? response.cxlb[i].zrzjzh : response.cxlb[i].zczjzh;

				// 时间格式化
				response.cxlb[i]["zzsj"] = formatDate(response.cxlb[i]["zzsj"], "dd:mm:ss");
 			}

			$scope.dblslist = response.cxlb;
		});

	}
	
	/*=================================================
		tab 切换	(当日、一个月内、半年内)
	=================================================*/
	$(".line.tab2 table tr td").bind("click",function()
	{
		$(this).attr("checked","checked").siblings().removeAttr("checked");
		tab_index = $(this).index();
		if(tab_index == 0)
		{
			loading("drzjhblscx");
			return;
		}
		else if(tab_index == 1)
		{
			var now = new Date();

			now.addMonths(-1);
			request.qsrq = now.Format("yyyyMMdd");

			now.addMonths(1);
			request.zzrq = now.Format("yyyyMMdd");
		}
		else if(tab_index == 2)
		{
			var now = new Date();

			now.addMonths(-6);
			request.qsrq = now.Format("yyyyMMdd");

			now.addMonths(6);
			request.zzrq = now.Format("yyyyMMdd");
		}

		loading("lszjhblscx");

	});

});