﻿
var app=angular.module('rzrqIndex',[]);

app.controller('rzrqIndexController', function($rootScope, $scope, $http,$compile)
{
  getControllerMethod($rootScope, $scope, $http,$compile);
  $scope.userAgent = navigator.userAgent;
  // 新股申购是否显示
  $scope.isXGSGShow = isXGSGShow;
  //西藏同信不显示合约偿还顺序设置
  $scope.isHychsxcxShow = isHychsxcxShow;
  //交割单查询
  $scope.isJGDCXShow = isJGDCXShow;
 //可融券证券是否显示
  $scope.isKRQZQShow = isKRQZQShow;
  //还券是否显示
  $scope.isHQShow = isHQShow;
  //融券卖出是否显示
  $scope.isRQMCShow = isRQMCShow;

  // 登录日志是否显示
  var isLoginLogShow = false;
  var loginLog = getLocalData("loginLog_rzrq");
  if (loginLog) {
    loginLog = JSON.parse(loginLog);
    $scope.loginLogDate = loginLog.date;
    $scope.loginLogTime = loginLog.time;
    isLoginLogShow = true;
    removeLocalData("loginLog_rzrq");
  }
  $scope.isLoginLogShow = isLoginLogShow;

  $scope.onLoginLogClick = function(){
    $("#loginLogInfo").hide(300);
    //$scope.isLoginLogShow = false;
  }

  // 清除跳转到担保品划转页面的本地变量
  if( getLocalData("jumpDBPHZ") )
  {
    removeLocalData("jumpDBPHZ");
  }
  // 清除持仓 行情 买入 卖出界面设置的证券代码信息
  if(getLocalData("zqdm"))
  {
    removeLocalData("zqdm");
  }

  if( document.title.trim() == "融资融券首页")
  {
    $scope.isShowExitButton=false;
  }
  else
  {
    $scope.isShowExitButton=true;
  }

  if( $("body").hasClass("rzrq-header") )
  {
    $("body").delegate(".ul-main > li, .ul-column > li, #login","click", function()
    {

      if( !getIsRegister() )
      {
        showAlert("请先进行手机号码注册。", "提示信息", true);
        return ;
      }
      else
      {
          // 如果存在快捷跳转, 就删除快捷跳转标识
          if(getLocalData("quickJump"))
          {
              removeLocalData("quickJump");
          }

          JumpInterface(params["viewKey"].KDS_RZRQLogin, 4, 1);
      }

      return false;

    });

  }
  else if( $("body").hasClass("rzrq-index") )
  {

    ZJCX();

    MultiAccountInit("rzrq");

    $scope.Logout=function()
    {
      var modal={};

      modal["title"]="退出确认";

      modal["msg"]=[ {value:"确定要退出当前信用交易账号?"} ];

      create_modal($scope,$compile,modal);
    }

    $scope.Ensure=function()
    {
      Logout();
    }

    $("body").delegate(".ul-main > li, .ul-column > li","click", function(){

      setLocalData("page",$(this).children("a").children("label").text());

      $("#loginLogInfo").hide();
      if(getLocalData("page") == "融资买入")
      {
        JumpInterface(params.viewKey.KDS_RZRQ_RZMR,8,1);
      }
      else if( getLocalData("page") == "融券卖出" )
      {
        JumpInterface(params.viewKey.KDS_RZRQ_RQMC,8,1);
      }
      else if(getLocalData("page") == "撤单")
      {
        JumpInterface(params.viewKey.KDS_RZRQ_WTCD,0,1);
      }
      else if(getLocalData("page") == "还款")
      {
        JumpInterface(params.viewKey.KDS_RZRQHuanKuan,8,1);
      }
      else if(getLocalData("page") == "还券")
      {
        JumpInterface(params.viewKey.KDS_RZRQHuanQuan,8,1);
      }
      else if(getLocalData("page") == "普通买入" )
      {
        JumpInterface(params.viewKey.KDS_RZRQ_PTMR,8,1);
      }
      else if( getLocalData("page") == "普通卖出" )
      {
        JumpInterface(params.viewKey.KDS_RZRQ_PTMC,8,1);
      }
      else if( getLocalData("page") == "新股申购" )
      {
        JumpInterface(params.viewKey.KDS_RZRQ_XGSG, 0, 1);
      }
      else if( getLocalData("page") == "银证转账" )
      {
        JumpInterface(params.viewKey.KDS_RZRQ_YZZZ, 0, 1);
      }
      else if(  getLocalData("page") == "委托成交" ||  getLocalData("page") == "资金流水")
      {
        JumpInterface(params.viewKey.KDS_RZRQ_WTCJ_ZJLS_Query,8,1);
      }
      else if(  getLocalData("page") == "信用资产负债" )
      {
        JumpInterface(params.viewKey.KDS_RZRQ_XYFZCX_Win_Query,0,1);
      }
      else if(  getLocalData("page") == "信用资产" )
      {
        JumpInterface(params.viewKey.KDS_RZRQ_XYZC_HYXQ_Query,0,1);
      }
      else if( getLocalData("page") == "融券负债" ||  getLocalData("page") == "融资负债" )
      {

        JumpInterface(params.viewKey.KDS_RZRQ_RZRQFZ_HYCX_Query,0,1);

      }
      else if( getLocalData("page") == "已了结合约查询" || getLocalData("page") == "合约查询" )
      {
        // 为了将win版和通用版的合约查询逻辑统一起来,所以更改了win版的菜单名称
        if( params['jybblx'] == "jzwin" )
        {
          setLocalData("page","已了结合约查询");
          JumpInterface(params.viewKey.KDS_RZRQ_WTCJ_ZJLS_Query,8,1);
        }
        else
        {
          JumpInterface(params.viewKey.KDS_RZRQ_RZRQFZ_HYCX_Query,0,1);
        }

      }
      else if( getLocalData("page") == "担保品划转" )
      {
        if( params['jybblx'] == "jzwin" )
        {
          JumpInterface(params.viewKey.KDS_RZRQ_DBPHZ, 0, 1);
        }
        else
        {
          // 担保品划转标记
          setLocalData("jumpDBPHZ","true");
          // 快捷跳转标记
          setLocalData("quickJump","KDS_RZRQ_DBPHZ");
          JumpInterface(params.viewKey.KDS_PTJYLogin,8,1);
        }
      }
      else if( getLocalData("page") == "可融资证券" || getLocalData("page") == "可融券证券" || getLocalData("page") == "担保品证券")
      {
        JumpInterface(params.viewKey.KDS_RZRQ_DBP_KRZRQ_Query,0,1);
      }
      else if( getLocalData("page") == "修改密码" )
      {
        JumpInterface(params.viewKey.KDS_RZRQ_XGMM,8,1);
      }
      else if (getLocalData ("page") == "合约偿还顺序设置")
      {
        JumpInterface(params.viewKey.KDS_RZRQ_HYCHSXSX_Query,0,1);
      }
      else if (getLocalData("page") == "交割单查询") {
        JumpInterface("rzrq/jgdcx/jgdcx.html", 0, 1);
      }

    });
    bindMultiUserSwitchEvent();

  }
  // 不同版本界面初始化
  setTimeout(function(){
    versionInit();
  }, 500);

});

//渲染完毕，调用
app.directive('onFinishRender', function ($timeout) {
  return {
    restrict: 'A',
    link: function (scope, element, attr) {
      $timeout(function () {
        if (!isRQMCShow) {
          $("#isRQMCShow").remove();
        }
        if (!isHQShow) { //还券是否显示
          $("#isHQShow").remove();
        }
        //圆形按钮布局宽带平均分配
        var percent = parseInt(100 / ($(".ul-main.cols-5 li").length));
        $(".ul-main.cols-5 li").each(function (index, item) {
          $(item).css("width", percent + "%");
        });
      });
    }
  };
});
app.directive('rzrqmenu', function() {
  return {
    restrict: 'E',
    templateUrl : "rzrq_menu.html",
    replace: true
  };
});

// ===============================================================================
// 函数功能:     对通用版和win版进行不同的初始化
// ===============================================================================
function versionInit()
{
  if( params['jybblx'] == "jzwin")
  {
    $(".tongyong").hide();
    $("#contractMenu").text("合约查询");
  }
  else
  {
    $(".jzwin").hide();
    $("#contractMenu").text("已了结合约查询");
  }
}



